﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.BuyNow.AddProducts, App_Web_addproducts.ascx.54f2e0e1" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>
<%@ Register TagPrefix="dnn" Assembly="DotNetNuke" Namespace="DotNetNuke.UI.WebControls"%>
<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.UI.WebControls" Assembly="DotNetNuke.WebControls" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%--<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>--%>
<%@ Register TagPrefix="uc1" TagName="ProductMenuInclude" Src="menus/productmenu.ascx" %>

<link href="module.css" rel="stylesheet" type="text/css" />

<script language="javascript" type="text/javascript">
    function validate() {
        if (document.getElementById("<%=ddlManufacturer.ClientID%>").options[document.getElementById('<%=ddlManufacturer.ClientID%>').selectedIndex].value == "0") {
            alert("Please Select Manufacturer Name");
            document.getElementById("<%=ddlManufacturer.ClientID%>").focus();
            return false;
        }
        return true;
    }

    $(document).ready(function () {

        //When page loads...
        $(".tab_content").hide(); //Hide all content
        $("ul.tabs li:first").addClass("active").show(); //Activate first tab
        $(".tab_content:first").show(); //Show first tab content

        //On Click Event
        $("ul.tabs li").click(function () {

            $("ul.tabs li").removeClass("active"); //Remove any "active" class
            $(this).addClass("active"); //Add "active" class to selected tab
            $(".tab_content").hide(); //Hide all tab content

            var activeTab = $(this).find("a").attr("href"); //Find the href attribute value to identify the active tab + content
            $(activeTab).fadeIn(); //Fade in the active ID content
            return false;
        });
    });

</script>

<uc1:ProductMenuInclude ID="productmenu" runat="server" />

 
<asp:MultiView runat="server" ID="mvMain">

<%--***** Product Setup ******--%>

<asp:View ID="viewProductSetup" runat="Server"><br />
<asp:ValidationSummary ID="ValidationSummary1" runat="server" />
    
<br />
<dnn:sectionhead id="dshProductSetup" runat="server" includerule="True" section="dvProductSetup" cssclass="Head" Text="Product Setup" width="100%" />
<br />

<table id="dvProductSetup" runat="server" class="scProdSetupLeft">
   
    <tr align="left">
        <td  valign="top" class="SmithProdText"><dnn:Label ID="lblSortOrder" runat="server" /></td>
        <td valign="top">
            <asp:TextBox ID="txtSortOrder" runat="server" Width="75" />&nbsp;
            <asp:CompareValidator ID="cvSortOrder" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtSortOrder" Operator="DataTypeCheck" Type="Integer"/>
        </td>
    </tr>

    <tr><td style="height:7px"></td></tr>
    
    <tr align="left">
        <td class="SmithProdText" valign="top" ><dnn:Label ID="lblManufacturer" runat="server" /><span class="SmithRequiredText" ></span></td>
        <td>
            <asp:DropDownList ID="ddlManufacturer" runat="server"></asp:DropDownList>&nbsp;
            <asp:RequiredFieldValidator ID="rfvddlManufacturer" runat="server" ControlToValidate="ddlManufacturer" Display="Dynamic" ErrorMessage="Manufacturer Required" InitialValue="0" />
        </td>
     </tr>

    <tr><td style="height:7px"></td></tr>

    <tr align="left">
        <td class="SmithProdText" valign="top"><dnn:Label ID="lblProductSku" runat="server" /><span class="SmithRequiredText"></span></td>
        <td valign="top">
            <asp:TextBox ID="txtModelNumber" runat="server" MaxLength="50" Width="265px"/>&nbsp;
            <asp:RequiredFieldValidator ID="rfvtxtModelNumber" runat="server" ControlToValidate="txtModelNumber" Display="Dynamic" ErrorMessage="Sku Required"/>
        </td>
    </tr>
    
    <tr><td style="height:7px"></td></tr>
    
    <tr align="left">
        <td class="SmithProdText" valign="top"><dnn:Label ID="lblProductName" runat="server" /><span class="SmithRequiredText"></span></td>
        <td valign="top">
            <asp:TextBox ID="txtModelName" runat="server" MaxLength="200" Width="450px"/>&nbsp;
            <asp:RequiredFieldValidator ID="rfvtxtModelName" runat="server" ControlToValidate="txtModelName" Display="Dynamic" ErrorMessage="Product Name Required"/>
        </td>
    </tr>
    
    <tr><td style="height:7px"></td></tr>
    
    <tr align="left">
        <td class="SmithProdText" nowrap="nowrap"  valign="top"><dnn:Label ID="lblUploadPrimaryPhoto" runat="server" /></td>
        <td valign="top"><asp:FileUpload ID="FileUpload1" runat="server" Width="450px" />&nbsp;</td>
    </tr>

    <tr><td style="height:7px"></td></tr>
    
    <tr align="left">
        <td class="SmithProdText" valign="top">Primary Product Photo:</td>
        <td valign="top"><asp:Image ID="ImgProductImage" runat="server" /></td>
    </tr>
        
    <tr><td style="height:7px"></td></tr>
        
    <tr align="left">
        <td class="SmithProdText" valign="top"><dnn:Label ID="lblUnitCost" runat="server" /><span class="SmithRequiredText"></span></td>
        <td valign="top">
            <asp:TextBox ID="txtUnitCost" runat="server" MaxLength="9" Width="263px"/>&nbsp;
            <asp:RequiredFieldValidator ID="rfvtxtUnitCost" runat="server"  ControlToValidate="txtUnitCost" Display="Dynamic" ErrorMessage="Unit Cost Required"/>
            <asp:CompareValidator ID="CVtxtUnitCost" runat="server" ControlToValidate="txtUnitCost" ErrorMessage="Please Enter Valid Price" Operator="DataTypeCheck" Type="Currency"/>
        </td>
    </tr>
        
   <tr><td style="height:7px"></td></tr>
        
    <tr align="left">
        <td class="SmithProdText" valign="top"><dnn:Label ID="lblPriceUnits" runat="server" /></td>
        <td valign="top"><asp:TextBox ID="txtPriceUnits" runat="server" Width="263px"/></td>
    </tr>

    <tr><td style="height:7px"></td></tr>
        
    <tr align="left">
        <td class="SmithProdText" valign="top"><dnn:Label ID="lblSalePrice" runat="server" /></td>
        <td valign="top">
            <asp:TextBox ID="txtSalePrice" runat="server" MaxLength="9" Width="263px"/>&nbsp;
            <asp:CompareValidator ID="CompareValidator3" runat="server" ControlToValidate="txtSalePrice" ErrorMessage="Please Enter Valid Price" Operator="DataTypeCheck" Type="Currency"/>
        </td>
    </tr>

    <tr><td style="height:7px"></td></tr>
        
    <tr align="left">
        <td class="SmithProdText" valign="top"><dnn:Label ID="lblWholesalePrice" runat="server" /></td>
        <td valign="top">
            <asp:TextBox ID="txtWholesalePrice" runat="server" MaxLength="9" Width="263px"/>&nbsp;
            <asp:CompareValidator ID="CompareValidator4" runat="server" ControlToValidate="txtWholesalePrice" ErrorMessage="Please Enter Valid Price" Operator="DataTypeCheck" Type="Currency"/>
        </td>
    </tr>
        
   <tr><td style="height:7px"></td></tr>
        
   <tr align="left">
        <td class="SmithProdText" valign="top"><dnn:Label ID="lblMemberPrice" runat="server" /></td>
        <td valign="top">
            <asp:TextBox ID="txtMemberPrice" runat="server" MaxLength="9" Width="263px"/>&nbsp;
            <asp:CompareValidator ID="CompareValidator1" runat="server" ControlToValidate="txtMemberPrice" ErrorMessage="Please Enter Valid Price" Operator="DataTypeCheck" Type="Currency"/>
        </td>
    </tr>

    <tr><td style="height:7px"></td></tr>
        
    <tr align="left">
        <td valign="top" class="SmithProdText"><dnn:Label ID="lblPriceClass" runat="server" /></td>
        <td><asp:DropDownList ID="ddlPriceClass" runat="server" Width="217px"></asp:DropDownList></td>
    </tr>
        
    <tr><td style="height:7px"></td></tr>

      <tr align="left">
        <td class="SmithProdText" valign="top"><dnn:Label ID="lblTaxRate" runat="server" /></td>
        <td valign="top">
            <asp:TextBox ID="txtTaxRate" runat="server" MaxLength="9" Width="150" />
            <asp:CompareValidator ID="cvtxtTaxRate" runat="server" ControlToValidate="txtTaxRate" ErrorMessage="Please Enter Valid Tax Rate without the percent sign" Operator="DataTypeCheck" Type="Double" Display="Dynamic" />
        </td>
    </tr>
   
    <tr><td style="height:7px"></td></tr>
    
    <tr align="left">
        <td class="SmithProdText" valign="top"><dnn:Label ID="lblSummary" runat="server" /></td>
        <td><asp:TextBox ID="txtSummary" runat="server" Height="59px" TextMode="MultiLine" Width="512px"/></td>
    </tr>

    <tr><td style="height:20px">&nbsp;</td></tr>
        
    <tr><td colspan="2">

    <ul class="tabs">
        <li><a href="#tab1">Description 1</a></li>
        <li><a href="#tab2">Description 2</a></li>
        <li><a href="#tab3">Description 3</a></li>
        <li><a href="#tab4">Description 4</a></li>
        <li><a href="#tab5">Description 5</a></li>
    </ul>

    <div class="tab_container">
        <div id="tab1" class="tab_content">
             <asp:Label ID="Label3" runat="server" Text="Tab Name:" />
             <asp:TextBox ID="txtTabName1" runat="server"/><br /><br />
             <dnn:TextEditor ID="teDescription" runat="server" ChooseMode="True" ChooseRender="False" DefaultMode="Rich" Height="350" HtmlEncode="False" TextRenderMode="Raw" Width="550" />
        </div>
        <div id="tab2" class="tab_content">
            <asp:Label ID="Label4" runat="server" Text="Tab Name:" />
            <asp:TextBox ID="txtTabName2" runat="server"/><br /><br />
            <dnn:TextEditor ID="teDescription2" runat="server" ChooseMode="True" ChooseRender="False" DefaultMode="Rich" Height="350" HtmlEncode="False" TextRenderMode="Raw" Width="550" />
        </div>
        <div id="tab3" class="tab_content">
            <asp:Label ID="Label5" runat="server" Text="Tab Name:" />
            <asp:TextBox ID="txtTabName3" runat="server"/><br /><br />
            <dnn:TextEditor ID="teDescription3" runat="server" ChooseMode="True" ChooseRender="False" DefaultMode="Rich" Height="350" HtmlEncode="False" TextRenderMode="Raw" Width="550" />
        </div>
        <div id="tab4" class="tab_content">
            <asp:Label ID="Label6" runat="server" Text="Tab Name:" />
            <asp:TextBox ID="txtTabName4" runat="server"/><br /><br />
            <dnn:TextEditor ID="teDescription4" runat="server" ChooseMode="True" ChooseRender="False" DefaultMode="Rich" Height="350" HtmlEncode="False" TextRenderMode="Raw" Width="550" />
        </div>
        <div id="tab5" class="tab_content">
            <asp:Label ID="Label7" runat="server" Text="Tab Name:" />
            <asp:TextBox ID="txtTabName5" runat="server"/><br /><br />
            <dnn:TextEditor ID="teDescription5" runat="server" ChooseMode="True" ChooseRender="False" DefaultMode="Rich" Height="350" HtmlEncode="False" TextRenderMode="Raw" Width="550" />
        </div>
    </div>

</td></tr>
<tr><td style="height:20px"></td></tr>

</table>


 <%-- Inventory Section--%>

<dnn:sectionhead id="dshInventory" runat="server" includerule="True" section="dvInventorySection" isexpanded="False" cssclass="Head" Text="Inventory Stock Configuration" />
<br />

<table id="dvInventorySection" runat="server" class="scProdSetupLeft" width="100%">
    <tr align="left">
        <td align="left" class="SmithProdText" valign="top"><dnn:Label ID="lblQuantityOnHand" runat="server" /><span class="SmithRequiredText"></span></td>
        <td>
            <asp:TextBox ID="txtQuantityOnHand" runat="server" MaxLength="9" Width="100px"/>
            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="txtQuantityOnHand" Display="Dynamic" ErrorMessage="Qty On Hand Required"/>
            <asp:CompareValidator ID="cvtxtQuantityOnHand" runat="server" ControlToValidate="txtQuantityOnHand" ErrorMessage="Please Enter Valid Quantity" Operator="DataTypeCheck" Type="Integer"/>
        </td>
    </tr>
        
    <tr><td style="height:7px"></td></tr>

    <tr align="left">
        <td class="SmithProdText" valign="top"><dnn:Label ID="lblWeight" runat="server" /><span class="SmithRequiredText"></span></td>
        <td valign="top">
            <asp:TextBox ID="txtWeight" runat="server" MaxLength="9" Width="100px"/>
            <asp:RequiredFieldValidator ID="rfvtxtWeight" runat="server" ControlToValidate="txtWeight" Display="Dynamic" ErrorMessage="Weight Required"/>
            <asp:CompareValidator ID="cvtxtWeight" runat="server" ControlToValidate="txtWeight" ErrorMessage="Please Enter Valid Weight" Operator="DataTypeCheck" Type="Integer"/>
        </td>
    </tr>
        
    <tr><td style="height:7px"></td></tr>

    <tr align="left">
        <td valign="top" nowrap="nowrap" class="SmithProdText"><dnn:Label ID="lblMinimumOrderQuantity" runat="server" /></td>
        <td>
            <asp:TextBox ID="txtMinOrderQty" runat="server" Width="75" />&nbsp;&nbsp;(Enter -1 for No Minimum Order Quantity)&nbsp;
            <asp:CompareValidator ID="cvMinOrderQty" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtMinOrderQty" Operator="DataTypeCheck" Type="Integer"/> 
        </td>
    </tr>

   <tr><td style="height:7px"></td></tr>
        
    <tr align="left">
        <td valign="top" nowrap="nowrap" class="SmithProdText"><dnn:Label ID="lblMaximumOrderQuantity" runat="server" /></td>
        <td>
            <asp:TextBox ID="txtMaxOrderQty" runat="server" Width="75" />&nbsp;&nbsp;(Enter -1 for No Maximum Order Quantity)&nbsp;
            <asp:CompareValidator ID="cvMaxOrderQty" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtMaxOrderQty" Operator="DataTypeCheck" Type="Integer"/> 
        </td>
    </tr>
    
    <tr><td style="height:10px"></td></tr>
    
    <tr align="left">
        <td class="SmithProdText" valign="top" nowrap="nowrap"><dnn:Label ID="lblProductDimensions" runat="server" /></td>
        <td class="SmithProdText">
            Width:&nbsp;<asp:TextBox ID="txtWidth" runat="server" MaxLength="6" Width="50px"/>&nbsp;&nbsp;
            Height:&nbsp;<asp:TextBox ID="txtHeight" runat="server" MaxLength="6" Width="50px"/>&nbsp;&nbsp;
            Length:&nbsp;<asp:TextBox ID="txtLength" runat="server" MaxLength="6" Width="50px"/>&nbsp;&nbsp;(Enter -1 for No Dimensions)
            <asp:CompareValidator ID="cvWeight" runat="server" ControlToValidate="txtWidth" ErrorMessage="Please Enter Valid Width" Operator="DataTypeCheck" Type="Integer"/>
            <asp:CompareValidator ID="cvHeight" runat="server" ControlToValidate="txtHeight" ErrorMessage="Please Enter Valid Height" Operator="DataTypeCheck" Type="Integer"/>
            <asp:CompareValidator ID="cvLength" runat="server" ControlToValidate="txtLength" ErrorMessage="Please Enter Valid Length" Operator="DataTypeCheck" Type="Integer"/>
        </td>
    </tr>

    <tr align="left">
        <td valign="top" class="SmithProdText"><dnn:Label ID="lblItemsInSKU" runat="server" /></td>
        <td><asp:TextBox ID="txtItems" runat="server" MaxLength="3" Width="75" /></td>
    </tr>
      
    <tr><td style="height:7px"></td></tr>  

    <tr align="left">
        <td class="SmithProdText" valign="top"><dnn:Label ID="lblBinLocation" runat="server" /><span class="SmithRequiredText"></span></td>
        <td valign="top"><asp:TextBox ID="txtBinLocation" runat="server" Width="265px"/></td>
    </tr>

    <tr><td style="height:7px"></td></tr>

    <tr align="left">
        <td class="SmithProdText" valign="top"><dnn:Label ID="lblNumberOfBoxes" runat="server" /><span class="SmithRequiredText"></span></td>
        <td valign="top"><asp:TextBox ID="txtNumberOfBoxes" runat="server" Width="265px"/></td>
    </tr>

    <tr><td style="height:7px"></td></tr>

    <tr align="left">
        <td class="SmithProdText" valign="top" nowrap="nowrap"><dnn:Label ID="lblDateAddedToInventory" runat="server" /><span class="SmithRequiredText"></span></td>
        <td valign="top">
            <telerik:RadDatePicker ID="txtDateAddedToInventory" runat="server" Width="150px" />
            <%--<asp:TextBox ID="txtDateAddedToInventory" runat="server" Width="150px"/>
            <asp:Image ID="calendar" runat="server" ImageUrl="~/DesktopModules/Smith.BuyNow/Images/calendar.png" />--%>
       </td>
    </tr>

    <tr><td style="height:7px"></td></tr>

    <tr align="left">
        <td valign="top" nowrap="nowrap" class="SmithProdText"><dnn:Label ID="lblLeadTime" runat="server" /></td>
        <td><asp:TextBox ID="txtLeadTime" runat="server" Width="150" MaxLength="50" /></td>
    </tr>
        
    <tr><td style="height:7px"></td></tr>
    
    <tr align="left">
        <td class="SmithProdText" valign="top"><dnn:Label ID="lblClient" runat="server" /><span class="SmithRequiredText"></span></td>
        <td valign="top"><asp:TextBox ID="txtClient" runat="server" Width="265px"/></td>
    </tr>

    <tr><td style="height:7px"></td></tr>

    <tr align="left">
        <td class="SmithProdText" valign="top"><dnn:Label ID="lblOwner" runat="server" /><span class="SmithRequiredText"></span></td>
        <td valign="top"><asp:TextBox ID="txtOwner" runat="server" Width="265px"/></td>
    </tr>

    <tr><td style="height:7px"></td></tr>
   
</table>


<%-- Product Options Section--%>

<dnn:sectionhead id="dshProductOptions" runat="server" includerule="True" section="dvProductOptions" isexpanded="False" cssclass="Head" Text="Product Options" width="100%" />
<br />

<table id="dvProductOptions" runat="server" class="scProdSetupLeft" width="100%">
    <tr align="left"><td colspan="2">
        <table>
            <tr align="left">
                <td valign="top" class="SmithProdText"><dnn:Label ID="lblFeaturedProduct" runat="server" /></td>
                <td valign="top"><asp:CheckBox ID="chkfeatured" runat="server" /></td>
                <td style="width:70px"></td>
                <td valign="top" class="SmithProdText"><dnn:Label ID="lblHidePrice" runat="server" /></td>
                <td valign="top"><asp:CheckBox ID="chkHidePrice" runat="server" /></td>
            </tr>
            <tr align="left">
                <td class="SmithProdText"><dnn:Label ID="lblUpsellProduct" runat="server" /></td>
                <td><asp:CheckBox ID="chkUpsell" runat="server" /></td>
                <td style="width:70px"></td>
                <td valign="top" class="SmithProdText"><dnn:Label ID="lblHideQuantity" runat="server" /></td>
                <td valign="top"><asp:CheckBox ID="chkHideQty" runat="server" /></td>
            </tr>

            <tr align="left">
                <td valign="top" class="SmithProdText"><dnn:Label ID="lblUserEnteredAmt" runat="server" /></td>
                <td valign="top"><asp:CheckBox ID="chkUserEnteredAmt" runat="server" /></td>
                <td style="width:70px"></td>
                <td valign="top" class="SmithProdText"><dnn:Label ID="lblHideThumbnail" runat="server" /></td>
                <td valign="top"><asp:CheckBox ID="chkHideThumb" runat="server" /></td>
            </tr>

            <tr align="left">
                <td valign="top" class="SmithProdText"><dnn:Label ID="lblTaxExempt" runat="server" /></td>
                <td valign="top"><asp:CheckBox ID="chkTaxExempt" runat="server" /></td>
                <td style="width:70px"></td>
                <td valign="top" class="SmithProdText"><dnn:Label ID="lblHideProduct" runat="server" /></td>
                <td valign="top"><asp:CheckBox ID="chkHideProduct" runat="server" /></td> 
            </tr>

            <tr align="left">
                <td valign="top"><dnn:Label ID="lblChrgeHandling" runat="server" Text="Charge Handling:" HelpText="Only applies when Charge Handling for Selected Products Only is checked in BuyNow module settings" /></td>
                <td valign="top"><asp:CheckBox ID="chkChargeHandling" runat="server" /></td>
                <td style="width:70px"></td>
                <td valign="top" class="SmithProdText"><dnn:Label ID="lblDeactivateProduct" runat="server" /></td>
                <td valign="top"><asp:CheckBox ID="chkArchived" runat="server" /></td>
            </tr>

            <tr align="left">
                <td class="SmithProdText"><dnn:Label ID="lblRequireLogin" runat="server" /></td>
                <td><asp:CheckBox ID="chkRequireLogin" runat="server" ToolTip="Login Type" /></td>
                <td style="width:70px"></td>
                <td valign="top" class="SmithProdText" nowrap="nowrap"><dnn:Label ID="lblUseCompanyLogo" runat="server" /></td>
                <td valign="top"><asp:CheckBox ID="chkUseCompanyLogo" runat="server" /></td>
            </tr>
            <tr align="left">
                <td valign="top" class="SmithProdText" nowrap="nowrap"><dnn:Label ID="lblShowOrderAsIs" runat="server" /></td>
                <td valign="top"><asp:CheckBox ID="chkShowOrderAsIs" runat="server" /></td>  
                <td style="width:70px"></td>
                <td valign="top" class="SmithProdText"><dnn:Label ID="lblEcard" runat="server" /></td>
                <td valign="top"><asp:CheckBox ID="chkEcard" runat="server" /></td>
            </tr>
             <tr align="left">
                <td valign="top" class="SmithProdText" nowrap="nowrap"><dnn:Label ID="lblShowCustomFieldsOnProductPage" runat="server" /></td>
                <td valign="top"><asp:CheckBox ID="chkShowPDUDF" runat="server" /></td>
                <td style="width:70px"></td>
                <td valign="top" class="SmithProdText" nowrap="nowrap"><dnn:Label ID="lblEnableBooking" runat="server" /></td>
                <td valign="top"><asp:CheckBox ID="chkEnableBooking" runat="server" /></td>
            </tr>
        </table>
    </td></tr>

   <tr><td>&nbsp;</td></tr>

    <tr align="left">
        <td valign="top" class="SmithProdText" nowrap="nowrap" style="width:80px"><dnn:Label ID="lblShareProductsBetweenCatalogs" runat="server" /></td>
        <td valign="top"><asp:CheckBox ID="chkShare" runat="server" /></td>
    </tr>

   <tr><td>&nbsp;</td></tr>

    <tr align="left">
        <td valign="top" class="SmithProdText"><dnn:Label ID="lblAffiliateURL" runat="server" /></td>
        <td valign="top"><asp:TextBox ID="txtAffiliateURL" runat="server" MaxLength="500" Width="500px"></asp:TextBox></td>
    </tr>

    <tr><td style="height:20px"></td></tr>

</table>

<%-- Coupon Section--%>

<dnn:sectionhead id="dshCouponSection" runat="server" includerule="True" section="dvCouponSection" isexpanded="False" cssclass="Head" Text="Coupon Setup" width="100%" />
<br />

<table id="dvCouponSection" runat="server" class="scProdSetupLeft">
        
    <tr><td></td></tr>
        
    <tr align="left">
        <td valign="top" class="SmithProdText"><dnn:Label ID="lblRequireCoupon" runat="server" /></td>
        <td valign="top"><asp:CheckBox ID="chkRequireCoupon" runat="server" /></td>
    </tr>
       
    <tr><td></td></tr>
        
    <tr align="left">
        <td valign="top" class="SmithProdText"><dnn:Label ID="lblExcludeCoupons" runat="server" /></td>
        <td valign="top"><asp:CheckBox ID="chkExcludeCoupon" runat="server" /></td>
    </tr>
   
    <tr><td style="height:20px"></td></tr>

</table>

<%-- Download Section--%>

<dnn:sectionhead id="dshDownloadSection" runat="server" includerule="True" section="dvDownloadSection" isexpanded="False" cssclass="Head" Text="Downloadable Product Setup" width="100%" />
<br />

<table id="dvDownloadSection" runat="server" class="scProdSetupLeft" >
  
    <tr><td></td></tr>
       
    <tr align="left">
        <td valign="top"><dnn:Label ID="lblDownloadURL" runat="server" Text="Download URL:" HelpText="Enter the full URL to product" CssClass="SmithProdText" /></td>
        <td valign="top"><asp:TextBox ID="txtDownloadURL" runat="server" MaxLength="999" Width="500px"></asp:TextBox></td>
    </tr>
        
    <tr><td></td></tr>
        
    <tr align="left">
        <td valign="top" class="SmithProdText"><dnn:Label ID="lblProductPath" runat="server" /></td>
        <td valign="top"><asp:TextBox ID="txtUrlGUID" runat="server" MaxLength="999" Width="500px"></asp:TextBox></td>
    </tr>
        
        <tr><td></td></tr>
       
    <tr align="left">
        <td valign="top" class="SmithProdText"><dnn:Label ID="lblAutoGenerateGUID" runat="server" /></td>
        <td valign="top"><asp:CheckBox ID="chkAutoGUID" runat="server" /></td>
    </tr>
        
    <tr><td></td></tr>
       
    <tr align="left">
        <td valign="top" class="SmithProdText">Encrypt URL:</td>
        <td valign="top"><asp:CheckBox ID="chkEncryptUrl" runat="server" /></td>
    </tr>
       
    <tr><td style="height:35px"></td></tr>

</table>

<%-- Bundled Product Section--%>

<dnn:sectionhead id="dshBundledProductSection" runat="server" includerule="True" section="dvBundledProductSection" isexpanded="False" cssclass="Head" Text="Bundled Product Setup" width="100%" />
<br />

<table id="dvBundledProductSection" runat="server" class="scProdSetupLeft" >

    <tr align="left"><td class="SmithTitle" style="height:7px"><dnn:Label ID="lblBundledProductSetup" runat="server" /></td></tr>
    <tr><td style="height:7px"></td></tr>
   
    <tr>
        <td>
             <table>
                 <tr align="left">
                    <td>
                        Master Product List<br /><br />
                        <asp:ListBox ID="lstFrom" runat="server" SelectionMode="Multiple" Width="380px" Height="200px" />
                    </td>
                    <td>
                        <asp:Button ID="ButtonAdd" runat="server" Text=">>"  Width="50px" OnClick="ButtonAdd_Click" /><br />
                        <asp:Button ID="ButtonRemove" runat="server" Text="<<" Width="50px" OnClick="ButtonRemove_Click" /> <br />    
                       
                    </td>
                    <td>
                        Bundled Products<br /><br />
                        <asp:ListBox ID="lstTo" runat="server" SelectionMode="Multiple" Width="380px" Height="200px" />
                    </td>
                </tr>
            </table> 
            <asp:HiddenField ID="hdnDropdowns" runat="server" />
        </td>
    </tr>
    
    <tr><td style="height:15px"></td></tr>
 
    <tr align="left">
        <td class="SmithProdText" nowrap="nowrap" >
            <dnn:Label ID="lblUsePrimaryProductPriceWeight" runat="server" />
            <asp:CheckBox ID="chkUsePriPriceWght" runat="server" />
        </td>
    </tr>
    
    <tr><td style="height:35px"></td></tr>

</table>

<%-- Recurring Billing Section--%>

<dnn:sectionhead id="dshRecurringBillingSection" runat="server" includerule="True" section="dvRecurringBillingSection" isexpanded="False" cssclass="Head" Text="Recurring Billing Setup" width="100%" />
<br />

<table id="dvRecurringBillingSection" runat="server" class="scProdSetupLeft">

    <tr align="left"><td class="SmithTitle" colspan="2" style="height:7px">Recurring Billing Options</td></tr>
    <tr><td style="height:7px"></td></tr>
    
	<tr align="left">
	    <td class="SmithProdText"><dnn:Label ID="lblRecurringBillingFlag" runat="server" /></td>
	    <td class="SmithProdText"><asp:CheckBox runat="server" ID="chkRecurring" /></td>
    </tr>
    
    <tr><td style="height:5px"></td></tr>
    
	<tr align="left">
        <td class="SmithProdText"><dnn:Label ID="lblSubscriptionInterval" runat="server" /></td>
        <td>
            <asp:DropDownList ID="ddlSubscriptionInterval" runat="server" Width="200px">
                <asp:ListItem Value="0">-Select-</asp:ListItem>
                <asp:ListItem Value="Weekly">Weekly</asp:ListItem>
                <asp:ListItem Value="2Weeks">Every 2 Weeks</asp:ListItem>
                <asp:ListItem Value="Monthly">Monthly</asp:ListItem>
                <asp:ListItem Value="2Months">Every 2 Months</asp:ListItem>
                <asp:ListItem Value="Quarterly">Quarterly (Every 3 Months)</asp:ListItem>
                <asp:ListItem Value="Semiannual">Semi-Annually</asp:ListItem>
                <asp:ListItem Value="Yearly">Yearly</asp:ListItem>
            </asp:DropDownList>
        </td>
    </tr>
    
	<tr><td style="height:5px"></td></tr>
	
	<tr align="left">
        <td class="SmithProdText"><dnn:Label ID="lblTotalOccurences" runat="server" /></td>
        <td class="SmithProdText"><asp:TextBox ID="txtTotalOccurences" runat="server" MaxLength="4" Width="65px"></asp:TextBox>&nbsp;&nbsp;(&quot;9999&quot; = Infinite recurring billing) </td>
    </tr>

    <tr><td style="height:5px"></td></tr>

    <tr>
        <td align="left" nowrap="nowrap" class="SmithProdText"><dnn:Label ID="lblRecurringStartDate" runat="server" /></td>
        <td align="left">
             <asp:DropDownList ID="ddlRecurringStartMonth" runat="server">
                <asp:ListItem Value="00">-Select Month-</asp:ListItem>
                <asp:ListItem Value="01">01</asp:ListItem>
                <asp:ListItem Value="02">02</asp:ListItem>
                <asp:ListItem Value="03">03</asp:ListItem>
                <asp:ListItem Value="04">04</asp:ListItem>
                <asp:ListItem Value="05">05</asp:ListItem>
                <asp:ListItem Value="06">06</asp:ListItem>
                <asp:ListItem Value="07">07</asp:ListItem>
                <asp:ListItem Value="08">08</asp:ListItem>
                <asp:ListItem Value="09">09</asp:ListItem>
                <asp:ListItem Value="10">10</asp:ListItem>
                <asp:ListItem Value="11">11</asp:ListItem>
                <asp:ListItem Value="12">12</asp:ListItem>
            </asp:DropDownList>
            <asp:DropDownList ID="ddlRecurringStartDay" runat="server" >
                <asp:ListItem Value="00">-Select Day-</asp:ListItem>
                <asp:ListItem Value="01">1</asp:ListItem>
                <asp:ListItem Value="02">2</asp:ListItem>
                <asp:ListItem Value="03">3</asp:ListItem>
                <asp:ListItem Value="04">4</asp:ListItem>
                <asp:ListItem Value="05">5</asp:ListItem>
                <asp:ListItem Value="06">6</asp:ListItem>
                <asp:ListItem Value="07">7</asp:ListItem>
                <asp:ListItem Value="08">8</asp:ListItem>
                <asp:ListItem Value="09">9</asp:ListItem>
                <asp:ListItem Value="10">10</asp:ListItem>                            
                <asp:ListItem Value="11">11</asp:ListItem>
                <asp:ListItem Value="12">12</asp:ListItem>
                <asp:ListItem Value="13">13</asp:ListItem>
                <asp:ListItem Value="14">14</asp:ListItem>
                <asp:ListItem Value="15">15</asp:ListItem>
                <asp:ListItem Value="16">16</asp:ListItem>
                <asp:ListItem Value="17">17</asp:ListItem>
                <asp:ListItem Value="18">18</asp:ListItem>
                <asp:ListItem Value="19">19</asp:ListItem>
                <asp:ListItem Value="20">20</asp:ListItem>                                
                <asp:ListItem Value="21">21</asp:ListItem>
                <asp:ListItem Value="22">22</asp:ListItem>
                <asp:ListItem Value="23">23</asp:ListItem>
                <asp:ListItem Value="24">24</asp:ListItem>
                <asp:ListItem Value="25">25</asp:ListItem>
                <asp:ListItem Value="26">26</asp:ListItem>
                <asp:ListItem Value="27">27</asp:ListItem>
                <asp:ListItem Value="28">28</asp:ListItem>
                <asp:ListItem Value="29">29</asp:ListItem>
                <asp:ListItem Value="30">30</asp:ListItem>
                <asp:ListItem Value="31">31</asp:ListItem>                                
            </asp:DropDownList>
        </td>
    </tr>

    <tr><td style="height:5px"></td></tr>

    <tr align="left">
	    <td class="SmithProdText" nowrap="nowrap" ><dnn:Label ID="lblExcludeVariantPrice" runat="server" /></td>
        <td valign="top"><asp:CheckBox runat="server" ID="chkExcludeVariantRecur" /></td>
    </tr>

     <tr style="height: 15"><td>&nbsp;</td></tr>
    
    <tr align="left"><td colspan="2" class="SmithTitle">Trial Subscription Setup</td></tr>
	<tr><td style="height:7px"></td></tr>
	
    <tr align="left">
        <td>Enable Trial:</td>
        <td><asp:CheckBox ID="chkEnableTrial" runat="server" /></td>
    </tr>
    <tr><td style="height:5px"></td></tr>

    <tr align="left">
        <td class="SmithProdText">Trial Interval:</td>
        <td>
            <asp:DropDownList ID="ddlTrialInterval" runat="server" Width="200px">
                <asp:ListItem Value="0">-Select-</asp:ListItem>
                <asp:ListItem Value="Dalily">Daily</asp:ListItem>
                <asp:ListItem Value="Weekly">Weekly</asp:ListItem>
                <asp:ListItem Value="Monthly">Monthly</asp:ListItem>
                <asp:ListItem Value="Semiannual">Semi-Annually</asp:ListItem>
                <asp:ListItem Value="Yearly">Yearly</asp:ListItem>
            </asp:DropDownList>
        </td>
    </tr>
    <tr><td style="height:5px"></td></tr>
    <tr align="left">
        <td>Trial Occurrences:</td>
        <td><asp:TextBox ID="txtTrialOccurences" runat="server" Width="75px" MaxLength="5"/></td>
    </tr>
    <tr><td style="height:5px"></td></tr>
    <tr align="left">
        <td>Trial Amount:</td>
        <td><asp:TextBox ID="txtTrialAmount" runat="server" Width="75px" MaxLength="12"/></td>
    </tr>

</table>

<table width="100%">
 <tr><td style="height:40px"></td></tr>
    
    <tr>
        <td align="left" width="150px"><asp:Button ID="btnBack" Text="Back" runat="server" CausesValidation="False" OnClick="btnBack_Click" Width="70px" /></td>
        <td align="left"> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
			<asp:Button ID="btnClear" Text="Clear" runat="server" CausesValidation="False" OnClick="btnClear_Click" Width="80px" Visible="false"/>
			<asp:Button ID="btnSubmit" Text="Submit" runat="server" OnClick="btnSubmit_Click" Width="120px" Height="30px" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <asp:Label ID="lblProductMsg" runat="server" CssClass="SmithBlueMsgBold"/>
        </td>
    </tr>  
     
    <tr><td style="height:30px"></td></tr>
    
    <tr align="left"><td colspan="2"><span class="SmithRequiredText">*</span> Indicates required field</td></tr>
    
</table>

</asp:View>



<%--***** SEO Tag Setup ******--%>

<asp:View ID="viewSEOTags" runat="server">
 
 <table ><tr><td width="15">&nbsp;</td><td>

 <table>
        
    <tr><td style="height:20px"/></tr>
        
    <tr align="left">
        <td colspan="2">
            <asp:Label ID="Label10" runat="server" CssClass="SmithTitle" Text="Product SEO URL and Meta Tag Setup"/>&nbsp;-&nbsp;
            <asp:Label ID="lblProdNameSEO" runat="server" CssClass="SmithProdText" /><br />
        </td>
    </tr>

    <tr><td style="height:20px"/></tr>
        
	<tr align="left">
        <td valign="top" class="SmithProdText">URL Keywords:</td>
        <td>
            <asp:TextBox ID="txtSEOURL" runat="server" Width="150px" MaxLength="80"/>&nbsp;&nbsp;
            <asp:Label ID="Label8" runat="server" Text="Only lowercase letters, numbers, hyphens, underscores. No spaces." CssClass="SmithItalics"/>
        </td>
    </tr>
        
    <tr><td style="height:5px"></td></tr>
            
    <tr align="left">
        <td valign="top" class="SmithProdText">Title Tag:</td>
        <td><asp:TextBox ID="txtTitleTag" runat="server" Height="59px" TextMode="MultiLine" Width="512px" MaxLength="85"></asp:TextBox></td>
    </tr>
        
    <tr><td style="height:5px"></td></tr>
       
    <tr align="left">
        <td valign="top" class="SmithProdText">Description Tag:</td>
        <td><asp:TextBox ID="txtDescriptionTag" runat="server" Height="75px" TextMode="MultiLine" Width="512px" MaxLength="200"></asp:TextBox></td>
    </tr>
        
    <tr><td style="height:5px"></td></tr>
       
    <tr align="left">
        <td valign="top" class="SmithProdText">Keyword Tags:</td>
        <td><asp:TextBox ID="txtKeywordTag" runat="server" Height="59px" TextMode="MultiLine" Width="512px" MaxLength="300"></asp:TextBox></td>
    </tr>
        
    <tr><td style="height:5px"></td></tr>
	
    <tr><td colspan="2" align="left"><asp:Label ID="Label17" runat="server" CssClass="SmithTitle" Text="Product Photo Alt Tags"/></td></tr>

    <tr><td style="height:20px"/></tr>
        
    <tr align="left">
        <td valign="top"><asp:Label ID="Label18" runat="server" CssClass="SmithProdText" Text="Photo 1 Alt Tag:"/>&nbsp;&nbsp;&nbsp;</td>
        <td><asp:TextBox ID="txtAltTag1" runat="server" Width="512px" MaxLength="150"/></td>
    </tr>
        
    <tr><td style="height:5px"></td></tr>
       
    <tr align="left">
        <td valign="top"><asp:Label ID="Label19" runat="server" CssClass="SmithProdText" Text="Photo 2 Alt Tag:"/></td>
        <td><asp:TextBox ID="txtAltTag2" runat="server" Width="512px" MaxLength="150"/></td>
    </tr>
        
   <tr><td style="height:5px"></td></tr>
       
    <tr align="left">
        <td valign="top"><asp:Label ID="Label20" runat="server" CssClass="SmithProdText" Text="Photo 3 Alt Tag:"/></td>
        <td><asp:TextBox ID="txtAltTag3" runat="server" Width="512px" MaxLength="150"/></td>
    </tr>
        
    <tr><td style="height:5px"></td></tr>
       
    <tr align="left">
        <td valign="top"><asp:Label ID="Label21" runat="server" CssClass="SmithProdText" Text="Photo 4 Alt Tag:"/></td>
        <td><asp:TextBox ID="txtAltTag4" runat="server" Width="512px" MaxLength="150"/></td>
    </tr>
        
    <tr><td style="height:5px"></td></tr>
       
    <tr align="left">
        <td valign="top"><asp:Label ID="Label22" runat="server" CssClass="SmithProdText" Text="Photo 5 Alt Tag:"/></td>
        <td><asp:TextBox ID="txtAltTag5" runat="server" Width="512px" MaxLength="150"/></td>
    </tr>
        
    <tr><td style="height:5px"></td></tr>
       
    <tr align="left">
        <td valign="top"><asp:Label ID="Label23" runat="server" CssClass="SmithProdText" Text="Photo 6 Alt Tag:"/></td>
        <td><asp:TextBox ID="txtAltTag6" runat="server" Width="512px" MaxLength="150"/></td>
    </tr>
            
    <tr><td>&nbsp;</td></tr>

	<tr>
        <td>&nbsp;</td>
        <td align="left">
            <asp:Button runat="server" ID="btnSaveSEOTags" Width="80"  Text="Save" onclick="btnSaveSEOTags_Click"  />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <asp:Label ID="lblSEOMsg" runat="server" CssClass="SmithBlueMsgBold"/>
        </td>  
    </tr>
</table>
 </td></tr></table>
 <br />
        
</asp:View>


<%--***** Shipping Setup ******--%>

<asp:View ID="viewShippingSetup" runat="server">
<br /><br />

   <table class="SmithProdText" width="100%" style="float:left;">
       
        <tr align="left">
            <td>
                <asp:Label ID="Label11" runat="server" CssClass="SmithTitle" Text="Product Shipping Cost Setup"/>&nbsp;-&nbsp;
                <asp:Label ID="lblProdNameShipping" runat="server" CssClass="SmithProdText" /><br />
            </td>
        </tr>
        
        <tr><td style="height:7px"></td></tr>
        
        <tr align="left" width="100%"><td ><asp:Label ID="Label1" runat="server" Text="Note:  To use this option you must select Use Product Level Shipping Costs in the Shipping Setup section in the cart settings." CssClass="SmithItalics"></asp:Label></td></tr>
        
       <tr><td style="height:14px"></td></tr>
            
        <tr align="left">
            <td class="SmithProdText">Product Shipping Cost:&nbsp;&nbsp;&nbsp;&nbsp;
            <asp:TextBox ID="txtShipCost" runat="server" ></asp:TextBox></td>
        </tr>

        <tr><td style="height:35px"/></tr>
        
        <tr><td class="SmithTitle" align="left">Product Shipping Method Setup</td></tr>
        
        <tr><td style="height:7px"></td></tr>
        
        <tr><td class="SmithProdText" align="left"><asp:Label ID="Label2" runat="server" Text="Note:  To use this option you must select Use Shipping Calculator in the Shipping Setup section in the cart settings." CssClass="SmithItalics"></asp:Label></td></tr>
        
        <tr><td style="height:14px"></td></tr>
       
        <tr align="left"><td class="SmithProdText">Product Shipping Methods:&nbsp;&nbsp;<asp:Label ID="lblShipCarrier" runat="server" /></td></tr>
        
        <tr align="left" width="150px">
            <td width="auto">
                <table width="auto"><tr><td width="150px">&nbsp;</td><td>

                <asp:CheckBoxList ID="chkUPSShipping" runat="server" CssClass="SmithProdText" style="width:auto; left:1px;">
                    <asp:ListItem Value="03">UPS Ground</asp:ListItem>
                    <asp:ListItem Value="02">UPS 2nd Day Air</asp:ListItem>
                    <asp:ListItem Value="59">UPS 2nd Day Air A.M.</asp:ListItem>
                    <asp:ListItem Value="12">UPS 3 Day Select</asp:ListItem>
                    <asp:ListItem Value="01">UPS Next Day Air</asp:ListItem>
                    <asp:ListItem Value="13">UPS Next Day Air Saver</asp:ListItem>
                    <asp:ListItem Value="14">UPS Next Day Air&nbsp; Early A.M.</asp:ListItem>
                    <asp:ListItem Value="07">UPS Worldwide Express</asp:ListItem>
                    <asp:ListItem Value="54">UPS Worldwide Express Plus</asp:ListItem>
                    <asp:ListItem Value="08">UPS Worldwide Expedited</asp:ListItem>
                    <asp:ListItem Value="65">UPS Worldwide Saver</asp:ListItem>
                </asp:CheckBoxList>
                <asp:CheckBoxList ID="chkUSPSShipping" runat="server" CssClass="SmithProdText" style="width:auto; left:1px;">
                    <asp:ListItem Value="1" Text="Parcel Post" />
                    <asp:ListItem Value="2" Text="Media Mail" />
                    <asp:ListItem Value="7" Text="Priority Mail Flat Rate Envelope" />
                    <asp:ListItem Value="3" Text="Priority Mail Small Flat Rate Box" />
                    <asp:ListItem Value="4" Text="Priority Mail Regular Flat Rate Box" />
                    <asp:ListItem Value="5" Text="Priority Mail Large Flat Rate Box" />
                    <asp:ListItem Value="6" Text="Express Mail" />
                    <asp:ListItem Value="8" Text="Priority Mail" />  
                    <asp:ListItem Value="9" Text="First Class" />                
                </asp:CheckBoxList>
                <asp:CheckBoxList ID="chkCanadaPostShipping" runat="server" CssClass="SmithProdText" style="width:auto; left:1px;">
                    <asp:ListItem Value="100" Text="Priority" />
                    <asp:ListItem Value="101" Text="Xpresspost" />
                    <asp:ListItem Value="102" Text="Expedited Parcel" />
                    <asp:ListItem Value="103" Text="Regular Parcel" />
                    <asp:ListItem Value="104" Text="Small Packet Air" />
                    <asp:ListItem Value="105" Text="Small Packet Surface" />
                    <asp:ListItem Value="106" Text="Light Packet Surface" />             
                </asp:CheckBoxList>
                
                </td></tr></table>
                
            </td>
        </tr>
        
        <tr><td style="height:35px"></td></tr>
        
        <tr align="left"><td class="SmithTitle">Restrict Shipping By State</td></tr>
       <tr><td style="height:7px"></td></tr>
        <tr align="left">
            <td class="SmithProdText">
                <asp:Label ID="Label15" runat="server" CssClass="SmithItalics" Text="Note:  To use this option you must select one of the shipping options that displays shipping methods on the cart screen."/>
            </td>
        </tr>
        <tr><td style="height:14px"></td></tr>
                 
        <tr>
            <td>
                <table>
                    <tr>
                        <td>
                            States:<br />
                            <asp:ListBox ID="lstFromStates" runat="server" Height="120px" SelectionMode="Multiple" Width="200px" />
                        </td>
                        <td width="10px"></td>
                        <td>
                            <asp:Button ID="btnAddState" runat="server" OnClick="btnAddState_Click" Text="&gt;&gt;" Width="50px" /><br />
                            <asp:Button ID="btnRemoveState" runat="server" OnClick="btnRemoveState_Click" Text="&lt;&lt;" Width="50px" /><br />
                        </td>
                        <td width="10px"></td>
                        <td>Restricted States:<br />
                            <asp:ListBox ID="lstToStates" runat="server" Height="120px" SelectionMode="Multiple" Width="200px" />
                        </td>
                    </tr>
                    <asp:HiddenField ID="HiddenField1" runat="server" />
                </table>
            </td>
        </tr>
        <tr><td style="height:35px"></td></tr>
        <tr>
            <td align="center">
                <asp:Button ID="btnSaveShipSetup" runat="server" onclick="btnSaveShipSetup_Click" Text="Save" Width="80" />
                &nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                <asp:Label ID="lblShipMsg" runat="server" CssClass="SmithBlueMsgBold"/>
            </td>
        </tr>
        <tr><td style="height:10px"></td></tr>
   </table>

</asp:View>


<%--***** Photo Setup ******--%>

<asp:View ID="viewPhotos" runat="server">
<br /><br />
<table width="100%"><tr><td width="15">&nbsp;</td><td>

  <table width="100%">
   <colgroup>
        <col width="12%" />
        <col width="50%" />
    </colgroup>
        <tr><td style="height:20px"/></tr>
        
        <tr>
            <td colspan="2" align="left">
                <asp:Label ID="Label12" runat="server" CssClass="SmithTitle" Text="Product Photo Gallery Setup"/>&nbsp;-&nbsp;
                <asp:Label ID="lblProdNamePhotos" runat="server" CssClass="SmithProdText" /><br />
            </td>
        </tr>
        
        <tr ><td style="height:20px"></td></tr>

	    <tr align="left">
            <td valign="top" class="SmithProdText">Upload Photo #2:</td>
            <td valign="top"><asp:FileUpload ID="FileUpload2" runat="server" Width="450px"  /></td>
        </tr>
        
        <tr height="7"><td></td></tr>

	    <tr align="left">
            <td valign="top" class="SmithProdText">Product Photo #2:</td>
            <td valign="top">
                <asp:Image ID="Image2" runat="server" />&nbsp;&nbsp;
                <asp:ImageButton ID="ibDeletePic2" runat="server" ImageUrl="~/DesktopModules/Smith.BuyNow/Images/delete.png" onclick="ibDeletePic2_Click" />
            </td>
        </tr>
        
        <tr style="height:40px"><td>&nbsp;</td></tr>
        
        <tr align="left">
            <td valign="top" class="SmithProdText">Upload Photo #3:</td>
            <td valign="top"><asp:FileUpload ID="FileUpload3" runat="server" Width="450px"  /></td>
        </tr>
        
        <tr height="7"><td></td></tr>
        
        <tr align="left">
            <td valign="top" class="SmithProdText">Product Photo #3:</td>
            <td valign="top">
                <asp:Image ID="Image3" runat="server" />&nbsp;&nbsp;
                <asp:ImageButton ID="ibDeletePic3" runat="server" ImageUrl="~/DesktopModules/Smith.BuyNow/Images/delete.png" 
                    onclick="ibDeletePic3_Click" />
            </td>
        </tr>
        
        <tr style="height:40px"><td>&nbsp;</td></tr>

	    <tr align="left">
            <td valign="top" class="SmithProdText">Upload Photo #4:</td>
            <td valign="top"><asp:FileUpload ID="FileUpload4" runat="server" Width="450px"  /></td>
        </tr>
        
        <tr height="7"><td></td></tr>
        
        <tr align="left">
            <td valign="top" class="SmithProdText">Product Photo #4:</td>
            <td valign="top">
                <asp:Image ID="Image4" runat="server" />&nbsp;&nbsp;
                <asp:ImageButton ID="ibDeletePic4" runat="server" ImageUrl="~/DesktopModules/Smith.BuyNow/Images/delete.png" 
                    onclick="ibDeletePic4_Click" />
            </td>
        </tr>
        
        <tr style="height:40px"><td>&nbsp;</td></tr>
        
        <tr align="left">
            <td valign="top" class="SmithProdText">Upload Photo #5:</td>
            <td valign="top"><asp:FileUpload ID="FileUpload5" runat="server" Width="450px"  /></td>
        </tr>
        
        <tr height="7"><td></td></tr>
        
        <tr align="left">
            <td valign="top" class="SmithProdText">Product Photo #5:</td>
            <td valign="top">
                <asp:Image ID="Image5" runat="server" />&nbsp;&nbsp;
                <asp:ImageButton ID="ibDeletePic5" runat="server" ImageUrl="~/DesktopModules/Smith.BuyNow/Images/delete.png" 
                    onclick="ibDeletePic5_Click" />
            </td>
        </tr>
        
         <tr style="height:40px"><td>&nbsp;</td></tr>

	  <tr align="left">
            <td valign="top" class="SmithProdText">Upload Photo #6:</td>
            <td valign="top"><asp:FileUpload ID="FileUpload6" runat="server" Width="450px"  /></td>
        </tr>
        
        <tr height="7"><td></td></tr>
        
        <tr align="left">
            <td valign="top" class="SmithProdText">Product Photo #6:</td>
            <td valign="top">
                <asp:Image ID="Image6" runat="server" />&nbsp;&nbsp;
                <asp:ImageButton ID="ibDeletePic6" runat="server" ImageUrl="~/DesktopModules/Smith.BuyNow/Images/delete.png" onclick="ibDeletePic6_Click" />
            </td>
        </tr>
        
        <tr style="height:30px"><td></td></tr>

	    <tr> 
            <td colspan="2" align = "center">
                <asp:Button runat="server" ID="btnSavePhotos" Width="114px" Text="Save Photos" onclick="btnSavePhotos_Click"/>
                    &nbsp;&nbsp;&nbsp;&nbsp;<asp:Label ID="lblPhotoMsg" runat="server" CssClass="SmithBlueMsgBold"/>
            </td>  
        </tr>
</table>
</td></tr></table>
</asp:View>

</asp:MultiView>
