﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.BuyNow.CheckoutOffer, App_Web_checkoutoffer.ascx.54f2e0e1" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<link href="module.css" rel="stylesheet" type="text/css" />

<asp:Label ID="lblMessage" runat="server" Text="Label" />

<asp:DataList ID="dtProductslist" runat="server" RepeatColumns="1" RepeatDirection="Horizontal" EnableViewState="False" Width="100%"
    OnItemCreated="dtProductslist_ItemCreated" OnItemDataBound="dtProductslist_ItemDataBound">
    <ItemTemplate>
        <table cellspacing="1" cellpadding="5" border="0" >
           <colgroup>
                <col class="thumbnailUpsell"/>
                <col class="spacer1Upsell" />
                <col class="productNameUpsell"/>
                <col class="spacer2Upsell" />
                <col class="priceUpsell" />
                <col class="addToCartUpsell" />
            </colgroup>
            <tr>
                <%--Thumnbail Image--%>
                <td ID="tdThumb" runat="server" style="text-align:center;" >
                    <a runat="server" id="lnkImage" href=''><img id="img" runat="server" alt='' style="vertical-align: top; border-width: 0; text-align: center; clip: auto; padding: 1px; position: relative;" src="" /></a>
                </td>

                <%--Spacer--%>
                <td>&nbsp;</td>

                <%--Product Name--%>
                <td valign="middle" align="left" >
                    <table cellpadding="0" cellspacing="0">
                        <tr>
                            <td>
                                <asp:Label runat="server" ID="lblProductSKULabel" resourcekey="lblSkuLabel" Visible="false" style="float:left; text-align:left; width:50px;"/>
                                <asp:Label runat="server" ID="lblProductSKU" Text='<%# DataBinder.Eval(Container.DataItem, "ModelNumber") %>' Visible="false" style="float:left; text-align:left;"/>
                            </td>
                        </tr>
                                    
                        <tr>
                            <td>
                                <asp:HyperLink ID="hylink" Text='<%# DataBinder.Eval(Container.DataItem, "ModelName") %>' runat="server" CssClass="SmithProdText" NavigateUrl='' Width="260px" /> 
                                <asp:Label runat="server" ID="lblSummary1" Text='<%# "<br />" + DataBinder.Eval(Container.DataItem, "Summary").ToString() %>' Visible="false" CssClass="SmithProdText"/>
                            </td>
                        </tr>
                    </table>
                </td>
                <%--Spacer--%>
                <td>&nbsp;</td>
                <%--Price--%>
                <td valign="middle" align="left" class="SmithProdText">
                    <table>

                        <%-- Variants Display --%>
                        <tr runat="server" id="trVariants" visible="false">
                            <td colspan="2">
                                <table runat="server" id="tblVariants" class="scVariantTable" cellspacing="0"></table>
                            </td>
                        </tr>

                        <tr runat="server" ID="trRating">
                            <td colspan="2">
                                <cc1:Rating ID="Gauge1" runat="server" MaxRating="5" CssClass="ratingStar" StarCssClass="ratingItem" WaitingStarCssClass="Empty" 
                                    FilledStarCssClass="Filled" EmptyStarCssClass="Empty"  ReadOnly="true" Visible="false" />  
                            </td>
                        </tr>
                        <tr runat="server" ID="trPrice">
                            <td><asp:Label runat="server"  ID="lblPriceLabel" resourcekey="lblPriceLabel" CssClass="SmithProdText" />&nbsp;&nbsp;</td>
                            <td>
                                <asp:Label runat="server" ID="lblPrice" CssClass="SmithProdText"/></br>
                                <asp:Label ID="lblEUVATIncPrice" runat="server" Text="" CssClass="SmithProdText" Visible="false"/>
                                <asp:TextBox runat="server" ID="txtPrice" Width="50px" MaxLength="8" Visible="false" /> 
                            </td>
                        </tr>

                        <tr><td></td><td></td></tr>  
                        
                        <tr runat="server" id="trSalePrice" visible="false">
                            <td><asp:Label runat="server" ID="lblSalePriceLabel" resourcekey="lblSalePriceLabel" CssClass="SmithProdText"/></td>
                            <td><asp:Label runat="server" ID="lblSalePrice" CssClass="SmithRedMsg" /></td>
                        </tr>
                            
                        <tr runat="server" id="trMemberPrice" visible="false">
                            <td><asp:Label runat="server" ID="lblMemberPriceLabel" resourcekey="lblMemberPriceLabel" CssClass="SmithProdText"/></td>
                            <td><asp:Label runat="server" ID="lblMemberPrice" CssClass="SmithProdText"/></td>
                        </tr>
                              
                        <tr runat="server" id="trStockMessage" visible="false">
                            <td nowrap="nowrap" colspan="2">
                                <asp:Label ID="lblSoldOut" runat="server"/>
                                <%--<div runat="server" id="dvStockOut" class="outofstock"><img src="images/SoldOut.png" width="415" height="150" alt="Sold Out Message" visible="false" /></div>--%>
                            </td>
                        </tr>
                        <tr>
                            <td><asp:Label runat="server" ID="lblQty" resourcekey="lblQty" CssClass="SmithProdText"/></td>
                            <td><asp:TextBox ID="txtQuantity" Width="50px" MaxLength="4" CssClass="SmithProdText" runat="server" Text="0" /></td>
                        </tr>  
                        <tr runat="server" id="trCoupon" visible="false" >
                            <td nowrap="nowrap" colspan="2">
                                <asp:Label runat="server" ID="lblCouponLabel" CssClass="SmithProdText"/>
                                <asp:TextBox ID="txtCouponCode" Width="75px" CssClass="SmithProdText" runat="server" />
                            </td>
                        </tr>         
                    </table>                                
                </td>
            </tr>
            <tr>
                <td>
                    <asp:HiddenField ID="hndProductID" Value='<%# DataBinder.Eval(Container.DataItem, "ProductID") %>' runat="server" Visible="false" />
                    <asp:HiddenField ID="hndSEOURL" Value='<%# DataBinder.Eval(Container.DataItem, "SEOURL") %>' runat="server" Visible="false" />
                    <asp:HiddenField ID="hndMinOrderQty" Value='<%# DataBinder.Eval(Container.DataItem, "MinOrderQty") %>' runat="server" Visible="false" />
                    <asp:HiddenField ID="hndMaxOrderQty" Value='<%# DataBinder.Eval(Container.DataItem, "MaxOrderQty") %>' runat="server" Visible="false" />
                    <asp:HiddenField ID="hndQtyOnHand" Value='<%# DataBinder.Eval(Container.DataItem, "QuantityOnHand") %>' runat="server" Visible="false" />
                    <asp:HiddenField ID="hndLeadTime" Value='<%# DataBinder.Eval(Container.DataItem, "LeadTime") %>' runat="server" />
                </td>
            </tr>
            <tr style="height:10"><td></td></tr>
        </table>

    </ItemTemplate>
</asp:DataList>

<br /><br />

<%--<div id="dvBtnViewCart" runat="server" class="myBtnCenter2">
   
</div>--%>

<div style="width:275px;" class="center">
    <div style="float:left;">
        <div class="b_left">&nbsp;</div>
        <div class="b_center">&nbsp;&nbsp;<asp:LinkButton ID="IbViewCart" runat="server" onclick="IbNoThanks_Click" Text="NO THANKS" CssClass="b_link" resourcekey="IbNoThanks.Text" Font-Size="12px"/>&nbsp;&nbsp;</div>
        <div class="b_right">&nbsp;</div>
    </div>
    <div style="float:right;"> 
        <div class="b_left">&nbsp;</div>
        <div class="b_center">&nbsp;&nbsp;<asp:LinkButton ID="IbAddItems" runat="server" onclick="IbAddItems_Click" Text="ADD ITEMS" CssClass="b_link" resourcekey="IbAddItems.Text" Font-Size="12px"/>&nbsp;&nbsp;</div>
        <div class="b_right">&nbsp;</div>
    </div>
</div>
<br /><br />


<asp:HiddenField ID="hdAddToWishlist" runat="server" />
<asp:HiddenField ID="hdViewDetails" runat="server" />
<asp:HiddenField ID="hdPortalSharing" runat="server" />
<asp:HiddenField ID="hdSmithDiscounts" runat="server" />
<asp:Label runat="server" ID="VATIncLabel" resourcekey="VATIncLabel" Text="({0} inc. VAT)" Visible="false" />

















