﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.BuyNow.EmailTemplate, App_Web_emailtemplate.ascx.54f2e0e1" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx" %>
<link href="module.css" rel="stylesheet" type="text/css" />

<div class="left">
    <asp:Button ID="btnBack1" runat="server" onclick="btnBack_Click" Text="<< Back" />&nbsp;&nbsp;&nbsp;&nbsp;
    <asp:Button ID="btnAddTemplate" runat="server" Text="Add Email Template" OnClick="btnAddTemplate_Click"  />
</div>
<br /><br />
<div class="center"><asp:Label ID="lblStatus" runat="server" CssClass="SmithRequiredText"/></div>
<br />

<asp:GridView ID="grdEmailTemplates" AutoGenerateColumns="false" runat="server">
<HeaderStyle CssClass="GridHeader"/> 
    <Columns>
        <asp:TemplateField HeaderText="TemplateID" Visible="False">
            <ItemTemplate>
                <asp:Label ID="lblTemplateID" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"TemplateID") %>'></asp:Label>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="TabModuleID" Visible="False">
            <ItemTemplate>
                <asp:Label ID="lblTabModuleID" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"TabModuleID") %>'></asp:Label>
            </ItemTemplate>
        </asp:TemplateField>

         <asp:TemplateField HeaderText="Type" ItemStyle-CssClass="GridCells" ItemStyle-HorizontalAlign="Left" HeaderStyle-HorizontalAlign="Left" HeaderStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblType" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Type") %>'></asp:Label>
            </ItemTemplate>
        </asp:TemplateField>

        <asp:TemplateField HeaderText="Name" ItemStyle-CssClass="GridCells" ItemStyle-HorizontalAlign="Left" HeaderStyle-HorizontalAlign="Left" HeaderStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblName" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Name") %>'></asp:Label>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="Email Subject" ItemStyle-CssClass="GridCells" HeaderStyle-Width="400px" ItemStyle-HorizontalAlign="Left" HeaderStyle-HorizontalAlign="Left" HeaderStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblSubject" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Subject") %>'></asp:Label>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="Language" ItemStyle-CssClass="GridCells" HeaderStyle-Width="150px" ItemStyle-HorizontalAlign="Left" HeaderStyle-HorizontalAlign="Left" HeaderStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblLanguage" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"LanguageLocale") %>'></asp:Label>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField ItemStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:LinkButton ID="lkEdit" runat="server" OnClick="lkEdit_Click" Text="Edit" />
            </ItemTemplate>
        </asp:TemplateField>
         <asp:TemplateField ItemStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:LinkButton ID="lkDelete" runat="server" OnClick="lkDelete_Click" Text="Delete" />
            </ItemTemplate>
        </asp:TemplateField>
    </Columns>
</asp:GridView>

<br /><br />

<table id="tblFields" runat="server" visible="false">
     <tr>
        <td align="left">Type:</td>
        <td align="left">
            <asp:DropDownList ID="ddlTemplateType" runat="server" AutoPostBack="True" onselectedindexchanged="ddlTemplateType_SelectedIndexChanged">
               <asp:ListItem Value="Store">Store Email Template</asp:ListItem>
               <asp:ListItem Value="Product">Product Level Email Template</asp:ListItem>
               <asp:ListItem Value="Ecard">E-Card Email Template</asp:ListItem>
            </asp:DropDownList>
        </td>
    </tr>
    <tr><td></td></tr>
    <tr id="trStoreTemplateNameDD" runat="server">
        <td align="left">Name:</td>
        <td align="left">
            <asp:DropDownList ID="ddlTemplateName" runat="server" AutoPostBack="True" onselectedindexchanged="ddlTemplateName_SelectedIndexChanged">
               <asp:ListItem Value="User Email Template">User Email Template</asp:ListItem>
               <asp:ListItem Value="Admin Email Template">Admin Email Template</asp:ListItem>
               <asp:ListItem Value="Ship Email Template">Ship Email Template</asp:ListItem>
            </asp:DropDownList>
        </td>
    </tr>
   
    <tr id="trProdTemplateNameTB" runat="server" visible="false">
        <td align="left" nowrap="nowrap"><asp:Label ID="lblProdTemplateName" runat="server" Text="Template Name:"/>&nbsp;<span class="SmithRequiredText">*</span></td>
        <td align="left">
            <asp:TextBox ID="txtProdTemplateName" runat="server" Width="300px"/>
            <asp:RequiredFieldValidator ID="rfvProdTemplateName" runat="server" ControlToValidate="txtProdTemplateName" ErrorMessage="Template Name Required" Display="Dynamic"/>
        </td>
    </tr>
    <tr><td></td></tr>
    <tr align="left">
        <td >
            <asp:Label ID="lblLanguage" runat="server" Text="Select a Language:"></asp:Label>
        </td>
        <td >
            <asp:DropDownList ID="ddlLanguage" runat="server"  Width="150px" Enabled="false">
            </asp:DropDownList>
        </td>
    </tr>
    <tr><td></td></tr>
    <tr>
        <td align="left">Subject:</td>
        <td align="left"><asp:TextBox ID="txtTemplateSubject" runat="server" Width="450px" Height="50px" TextMode="MultiLine"/></td>
    </tr>
    <tr><td>&nbsp;</td></tr>
    <tr>
        <td align="left">Template:</td>
        <td align="left">&nbsp;</td>
    </tr>
    <tr>
        <td colspan="2">
            <dnn:TextEditor ID="teTemplate" runat="server" Width="550" TextRenderMode="Raw" HtmlEncode="False" DefaultMode="Rich" Height="350" ChooseMode="True" ChooseRender="False" />
        </td>
    </tr>
    <tr><td class="SmithRowHeight24">&nbsp;</td></tr>
    <tr><td class="SmithRowHeight24"><asp:hyperlink id="lnkEmailTokenHelp" runat="server" target="_blank" ImageUrl="~/DesktopModules/Smith.BuyNow/images/email-token-help.png"  NavigateUrl="~/DesktopModules/Smith.BuyNow/Help/EmailTokenHelp.htm"></asp:hyperlink></td></tr>
    <tr><td class="SmithRowHeight24">&nbsp;</td></tr>
    <tr><td>&nbsp;</td></tr>
    <tr>
        <td align="left"><asp:Button ID="btnCancel" runat="server" onclick="btnCancel_Click" Text="Cancel" Width="70px" /></td>
        <td align="left"><asp:Button ID="btnSubmit" runat="server" Text="Submit" OnClick="btnSubmit_Click" Width="100px" /></td>
    </tr>
    <tr><td>&nbsp;</td></tr>
    
</table>
