﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.BuyNow.ExportOrders, App_Web_exportorders.ascx.54f2e0e1" %>
<link href="module.css" rel="stylesheet" type="text/css" />

<div class="left">
<table class="SmithProdText" >
    <tr style="height:20"><td></td></tr>
    <tr align="left"><td class="SmithTitle" >Export Orders</td></tr>
    <tr><td height="20px"></td></tr>
    
    <tr align="left"><td>
        <table class="SmithProdText">
            <tr align="left">
                <td align="left">
                    <asp:Label ID="Label1" runat="server" Text="From Date:"/>&nbsp;&nbsp;
                    <asp:TextBox ID="txtFromDate" runat="server" Width="78px"/>
                    &nbsp;<asp:Image ID="calendar" runat="server" ImageUrl="~/DesktopModules/Smith.BuyNow/Images/calendar.png" />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:Label ID="Label2" runat="server" Text="To Date:"/>&nbsp;&nbsp;
                    <asp:TextBox ID="txtToDate" runat="server" Width="94px"></asp:TextBox>
                    &nbsp;<asp:Image ID="calendar1" runat="server" ImageUrl="~/DesktopModules/Smith.BuyNow/Images/calendar.png" />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:Button ID="btnFilter" runat="server" OnClick="btnFilter_Click" Text="Filter" Width="52px" />&nbsp;&nbsp
                    <asp:Button ID="txtShowAll" runat="server" OnClick="txtShowAll_Click" Text="Show All" Width="83px" />
                 </td>
                 <td width="40px"></td>
                 <td align="left">   
                     <asp:RadioButtonList ID="rblExportFormat" runat="server" CssClass="SmithProdText" RepeatDirection="Horizontal">
                        <asp:listitem id="optMulti" runat="server" value="Multi" Text="Hierarchical" Selected="True"/>
                        <asp:listitem id="optFlat" runat="server" value="Flat" Text="Flat Format"/>
                    </asp:RadioButtonList>
                </td>
                <td align="left">
                    <asp:Button ID="btnExportOrders1" runat="server" Text="Export Orders" onclick="btnExportOrders_Click"/>
                </td> 
            </tr>
            <tr style="height: 20px">
                <td ></td>
                <td ></td>
                <td ><asp:CheckBox ID="chkUpdateOrderStatus" runat="server" Text="Update Order Status to Shipped After Export" /></td>
            </tr>
        </table>
    </td></tr>
 </table>
 </div>

<table class="SmithProdText">
    <tr align="left">
        <td align="left">
    <asp:DataGrid ID="DataGrid1" runat="server" AllowPaging="True" AllowSorting="True" AutoGenerateColumns="False" ShowFooter="True" PageSize="200" CssClass="cssMain" CellPadding="4"
        OnItemCommand="DataGrid1_ItemCommand" OnPageIndexChanged="DataGrid1_PageIndexChanged" OnSortCommand="DataGrid1_SortCommand"  >
         <HeaderStyle CssClass="GridHeader" /> 
        <Columns>

             <asp:TemplateColumn ItemStyle-CssClass="GridCells" HeaderStyle-HorizontalAlign="Center">
                <HeaderTemplate>
                    <asp:Button ID="ButtonFilterCustomers" runat="server" CausesValidation="false" CommandName="filterCustomers" Text="Filter" Width="60px" />
                </HeaderTemplate>
            </asp:TemplateColumn>

           	<asp:TemplateColumn HeaderText="Select" ItemStyle-HorizontalAlign="Center">
                <HeaderTemplate><asp:Label ID="Label13" runat="server" Text="Select"/>
                    <asp:CheckBox ID="chkSelectAll" runat="server" AutoPostBack="true" OnCheckedChanged="chkSelectAll_CheckedChanged"/>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:CheckBox ID="chkSelect" runat="server"/>
                </ItemTemplate>
            </asp:TemplateColumn>

            <asp:TemplateColumn HeaderText="CustomerID" SortExpression="customerid" Visible="false">
                <HeaderTemplate>
                    <asp:LinkButton ID="LinkButtonSortCustomerID" runat="server" CommandArgument="CustomerID" CommandName="Sort" Text="ID"  /><br />
                    <asp:TextBox ID="TextBoxSearchCustomerID" runat="server"></asp:TextBox>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblCID" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.customerid")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="OrderID" SortExpression="orderid" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells" >
                <HeaderTemplate>
                    <asp:LinkButton ID="LinkButtonSortOrderID" runat="server" CommandArgument="OrderID" CommandName="Sort" Text="Order ID"></asp:LinkButton><br />
                    <asp:TextBox ID="TextBoxSearchOrderID" runat="server" Width="50px" />
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblOrderID" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.orderid")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="Order Date" SortExpression="orderdate" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblOrderDate" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.orderdate")) %>' Width="100px"></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="Order Status" SortExpression="status" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <HeaderTemplate>
                    <asp:LinkButton ID="LinkButtonSortOrderStatus" runat="server" CommandArgument="status"
                        CommandName="Sort" Text="Order Status"></asp:LinkButton><br />
                    <asp:DropDownList ID="DropDownListOrderStatus" runat="server">
                        <asp:ListItem>-Select-</asp:ListItem>
                        <asp:ListItem>Open</asp:ListItem>
                        <asp:ListItem>Cancelled</asp:ListItem>
                        <asp:ListItem>Shipped</asp:ListItem>
                        <asp:ListItem>Warehouse</asp:ListItem>
                        <asp:ListItem>BillMeLater</asp:ListItem>
                    </asp:DropDownList>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblOrderStatus" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.status")) %>'></asp:Label>
                </ItemTemplate> 
            </asp:TemplateColumn>
            
             <asp:TemplateColumn HeaderText="Company Name" SortExpression="CompanyName" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <HeaderTemplate>
                    <asp:LinkButton ID="LinkButtonSortCompanyName" runat="server" CommandArgument="CompanyName" CommandName="Sort" Text="Company Name" Width="120px"></asp:LinkButton><br />
                    <asp:TextBox ID="TextBoxSearchCompanyName" runat="server" Width="120px"></asp:TextBox>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblCompanyName" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"companyname") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="First Name" SortExpression="firstname" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <HeaderTemplate>
                    <asp:LinkButton ID="LinkButtonSortFirstName" runat="server" CommandArgument="firstname" CommandName="Sort" Text="First Name" Width="70px"></asp:LinkButton><br />
                    <asp:TextBox ID="TextBoxSearchFirstName" runat="server" Width="75px"></asp:TextBox>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblFirstName" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.firstname")) %>'> </asp:Label>
                </ItemTemplate>  
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="Last Name" SortExpression="lastname" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <HeaderTemplate>
                    <asp:LinkButton ID="LinkButtonSortLastName" runat="server" CommandArgument="lastname"
                        CommandName="Sort" Text="Last Name"></asp:LinkButton><br />
                    <asp:TextBox ID="TextBoxSearchLastName" runat="server" Width="100px"></asp:TextBox>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblLastName" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.lastname")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="Email" SortExpression="email" Visible="false">
                <HeaderTemplate>
                    <asp:LinkButton ID="LinkButtonSortEmail" runat="server" CommandArgument="email" CommandName="Sort"
                        ForeColor="white" Text="Email"></asp:LinkButton><br />
                    <asp:TextBox ID="TextBoxSearchEmail" runat="server" Width="50px"></asp:TextBox>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblEmail" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.email")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
             <asp:TemplateColumn HeaderText="Address" SortExpression="address1" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblAddress1" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.address1")) %>' Width="150px"></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="Address2" SortExpression="address1" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblAddress2" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.address2")) %>' Width="150px"></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="City" SortExpression="city" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblCity" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.city")) %>'></asp:Label>
                </ItemTemplate>  
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="State" SortExpression="state" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblState" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.state")) %>' Width="5px"></asp:Label>
                </ItemTemplate>
                <ItemStyle Width="10px" />
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="Country" SortExpression="country" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblCountry" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.country")) %>' Width="5px"></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="Zip" SortExpression="zip" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblZip" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.zip")) %>'></asp:Label>
                </ItemTemplate>
                <EditItemTemplate>
                    <asp:TextBox ID="txtZip" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.zip")) %>' Width="100%"></asp:TextBox>
                </EditItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="Primary Phone" SortExpression="workphone" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <HeaderStyle Wrap="False" />
                <ItemStyle Wrap="False" />
                <ItemTemplate>
                    <asp:Label ID="lblPriPhone" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.workphone")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="ProductID" SortExpression="Productid" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <HeaderTemplate>
                    <asp:LinkButton ID="LinkButtonSortProductID" runat="server" CommandArgument="ProductID" CommandName="Sort" Text="ProductID"  /><br />
                    <asp:TextBox ID="TextBoxSearchProductID" runat="server" Width="75"></asp:TextBox>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblPID" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.productid")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="Sku" SortExpression="productsku" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <HeaderTemplate>
                    <asp:LinkButton ID="LinkButtonSortSku" runat="server" CommandArgument="ProductSku" CommandName="Sort" Text="Sku"  /><br />
                    <asp:TextBox ID="TextBoxSearchSku" runat="server" Width="75"></asp:TextBox>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblSku" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.productsku")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
             <asp:TemplateColumn HeaderText="Product Name" SortExpression="ProductName" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <HeaderTemplate>
                    <asp:LinkButton ID="LinkButtonSortProductName" runat="server" CommandArgument="ProductName" CommandName="Sort" Text="Product Name"  /><br />
                    <asp:TextBox ID="TextBoxSearchProductName" runat="server" Width="140"></asp:TextBox>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblProductName" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.ProductName")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
                       
            <asp:TemplateColumn HeaderText="PayStatus" Visible="True" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <HeaderTemplate>
                    <asp:LinkButton ID="LinkButtonSortPayStatus" runat="server" CommandArgument="paystatus" CommandName="Sort" Text="Pay Status"></asp:LinkButton><br />
                    <asp:DropDownList ID="DropDownListPayStatus" runat="server">
                        <asp:ListItem Value="-Select-" Text="-Select-" />
                        <asp:ListItem Value="-True" Text="True" />
                        <asp:ListItem Value="False" Text="False" />
                        <asp:ListItem Value="APPROVED" Text="Approved" />
                        <asp:ListItem Value="DECLINED" Text="Declined" />
                        <asp:ListItem Value="Awaiting Payment" Text="Awaiting Payment" />
                        <asp:ListItem Value="BILLMELATER" Text="Bill Me Later" />
                    </asp:DropDownList>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblPayStatus" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.paystatus")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
           
            <asp:TemplateColumn HeaderText="Amount" Visible="True" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblAmount" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.amount")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
             <asp:TemplateColumn HeaderText="BillingName" HeaderStyle-HorizontalAlign="Left" Visible="false" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblBillingName" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"billingname") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="BillingAddress" HeaderStyle-HorizontalAlign="Left" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblBillingAddress" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"billingaddress") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="BillingCity" HeaderStyle-HorizontalAlign="Left" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblBillingCity" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"billingcity") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
             <asp:TemplateColumn HeaderText="BillingState" HeaderStyle-HorizontalAlign="Left" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblBillingState" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"billingstate") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="BillingZip" HeaderStyle-HorizontalAlign="Left" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblBillingZip" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"billingzip") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>

			 <asp:TemplateColumn HeaderText="taxtotal" HeaderStyle-HorizontalAlign="Left" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblTaxTotal" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"taxtotal") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="affiliateid" HeaderStyle-HorizontalAlign="Left" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblAffiliateID" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"affiliateid") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
             <asp:TemplateColumn HeaderText="shippingtotal" HeaderStyle-HorizontalAlign="Left" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblShippingTotal" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"shippingtotal") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="handlingcharge" HeaderStyle-HorizontalAlign="Left" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblHandlingCharge" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"handlingcharge") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>

			 <asp:TemplateColumn HeaderText="specialinstructions" HeaderStyle-HorizontalAlign="Left" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblSpecialInstructions" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"specialinstructions") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>

			 <asp:TemplateColumn HeaderText="discount" HeaderStyle-HorizontalAlign="Left" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblDiscount" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"discount") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>

            <asp:TemplateColumn HeaderText="shipmethod" HeaderStyle-HorizontalAlign="Left" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblShipMethod" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"shipmethod") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>

        </Columns>
        <PagerStyle Position="TopAndBottom" NextPageText="Next >" PrevPageText="< Prev"></PagerStyle>
    </asp:DataGrid>

     </td></tr>

    <tr><td style="height: 20px"></td></tr>

    <tr>
         <td align="left"><asp:Button ID="btnBack" runat="server" Text="<< Back" onclick="btnBack_Click"/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
         <asp:Button ID="btnExportOrders" runat="server" Text="Export Orders" onclick="btnExportOrders_Click"/></td>
    </tr>
</table>
<br />
   





