﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.BuyNow.ManageCoupons, App_Web_managecoupons.ascx.54f2e0e1" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>

<link href="module.css" rel="stylesheet" type="text/css" />

<table id="ButtonRow" runat="server" width="925px"><tr><td>
    <asp:Button ID="btnBack1" runat="server" onclick="btnBack_Click" Text="Store Admin Menu" CausesValidation="false" CssClass="" />&nbsp;
    <asp:Button ID="btnCouponSetup" runat="server" Text="Manage Coupons" CausesValidation="false" Visible="true" onclick="btnCouponSetup_Click" CssClass="" />&nbsp; 
    <asp:Button ID="btnAddCoupon" runat="server" onclick="btnAddCoupon_Click" Text="Add New Coupon" CausesValidation="false" CssClass="" />&nbsp;
    <asp:Button ID="btnRoleSetup" runat="server" Text="Role Setup" CausesValidation="false" onclick="btnRoleSetup_Click" CssClass="" />&nbsp;
    <asp:Button ID="btnImportCoupons" runat="server" onclick="btnImportCoupons_Click" Text="Import Coupons" CausesValidation="false" CssClass="" />
    <hr />
</td></tr></table>
<br />
<div class="center"><asp:Label ID="lblStatus" runat="server" CssClass="SmithBlueMsgBold" /></div>

<asp:MultiView runat="server" ID="mvMain">

<%-- **************** Coupon Grid Listing **************** --%>

 <asp:View ID="viewCouponSetup" runat="Server">

<table width="100%" class="SmithProdText">
   
    <tr>
        <td align="right">
            Records:&nbsp;&nbsp;<asp:DropDownList ID="ddlRecords" runat="server" Width="57px" OnSelectedIndexChanged="ddlRecords_SelectedIndexChanged"
                AutoPostBack="True">
                <asp:ListItem>10</asp:ListItem>
                <asp:ListItem>20</asp:ListItem>
                <asp:ListItem>50</asp:ListItem>
                <asp:ListItem>100</asp:ListItem>
            </asp:DropDownList>
        </td>
    </tr>

	<tr style="height: 15"><td></td></tr>

    <tr>
        <td align="center" >
            <asp:GridView ID="grdCoupons" DataKeyNames="CouponID" AllowSorting="true" runat="server" CssClass="cssMain" CellPadding="4" AutoGenerateColumns="false" 
                OnRowDeleting="grdCoupons_RowDeleting" Width="720px" onrowdatabound="grdCoupons_RowDataBound" OnRowCreated="grdCoupons_RowCreated" OnSorting="grdCoupons_Sorting">
                <HeaderStyle CssClass="GridHeader" /> 
                <Columns>

                    <asp:TemplateField ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:LinkButton ID="lkUpdate" runat="server" Text="Edit" OnClick="lkUpdate_Edit"></asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField ItemStyle-CssClass="GridCells" ItemStyle-HorizontalAlign="Center" >
                        <ItemTemplate>
                            <asp:LinkButton CausesValidation="false"  ID="lkRoles" runat="server" Text="Roles" OnClick="lkRoles_Edit"/>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField HeaderText="Coupon Code" SortExpression="CouponCode" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" >
                        <ItemTemplate>
                            <asp:Label ID="lblCouponCode" runat="server" Text='<%#Eval("CouponCode") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Coupon Name" SortExpression="CouponName" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblCouponName" runat="server" Text='<%#Eval("CouponName") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Coupon Amount" SortExpression="CouponAmount" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblCouponAmount" runat="server" Text='<%#Eval("CouponAmount","{0:c}") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                     <asp:TemplateField HeaderText="Discount Percentage" SortExpression="discountpercent" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblDiscountPercent" runat="server" Text='<%#Eval("DiscountPercent") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Discount By Item" SortExpression="DiscountByItem" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:CheckBox ID="chkDiscountByItem" runat="server" Checked='<%#Eval("DiscountByItem") %>'></asp:CheckBox>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Coupon Quantity" SortExpression="CouponQuantity" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblCouponQuantity" runat="server" Text='<%#Eval("CouponQuantity") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:CommandField ShowDeleteButton="True" ItemStyle-CssClass="GridCells"/>
                </Columns>
            </asp:GridView>
        </td>
    </tr>

	<tr style="height: 20"><td></td></tr>

    <tr>
        <td align="center">
            <asp:LinkButton ID="lbFirst" runat="server" OnClick="lbFirst_Click">First</asp:LinkButton>
            <asp:LinkButton ID="lbPrev" runat="server" OnClick="lbPrev_Click">Prev</asp:LinkButton>
            <asp:Label ID="lblResult" runat="server"></asp:Label>
            <asp:LinkButton ID="lbNext" runat="server" OnClick="lbNext_Click">Next</asp:LinkButton>
            <asp:LinkButton ID="lbLast" runat="server" OnClick="lbLast_Click">Last</asp:LinkButton>
            <asp:Label ID="Label2" runat="server"></asp:Label></td>
    </tr>

	<tr style="height: 20"><td>&nbsp;</td></tr>

    <tr>
        <td align="center">
            <asp:Button ID="btnBack" runat="server" onclick="btnBack_Click" Text="Back" Width="87px" />
        </td>
    </tr>

</table>
<br />

 </asp:View>


  <%-- **************** Role Setup **************** --%>
  
 <asp:View ID="viewRoleSetup" runat="server">

 <div class="CenterDiv" >
    <table width="100%" class="SmithProdText">

        <tr>
            <td align="left">
                <asp:Label ID="Label1" runat="server" Text="Coupon Role Setup" CssClass="SmithTitle"/>&nbsp;-&nbsp;
                <asp:Label ID="lblCouponName" runat="server" CssClass="SmithProdText" />
            </td>
        </tr>

        <tr><td style="height:20">&nbsp;</td></tr>
 
        <%--*** Coupon Roles ***--%>

        <tr align="left"><td class="SmithBold" style="height:7px"><dnn:Label ID="lblCouponRoles" runat="server" /></td></tr>
        <tr><td></td></tr>
        <tr>
            <td align="left"><asp:CheckBoxList  runat="server" ID="chkCouponRoles" RepeatColumns="2" /></td>
        </tr>
    
        <tr><td style="height:20">&nbsp;<br /></td></tr>

         <tr>
            <td align="left">
                <asp:Button ID="btnSave" runat="server" Text="Save" Width="81px" onclick="btnSaveRoles_Click" CausesValidation="false" />&nbsp;&nbsp;
                <asp:Label ID="lblMsg" runat="server" CssClass="SmithBlueMsgBold" Text="Saved Successfully" Visible="false" />
            </td>
         </tr>
     
         <tr><td>&nbsp;</td></tr>
 
    </table>
</div>

 </asp:View>
   
</asp:MultiView>
