﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.BuyNow.ReportOrderDetail, App_Web_reportorderdetail.ascx.54f2e0e1" %>
<link href="module.css" rel="stylesheet" type="text/css" />

<table width="700px">
    <tr align="left">
        <td colspan="3" style="height: 32px" >  
            <asp:Label ID="Label20" runat="server" Height="16px" Text="Order Detail by Date Report" cssclass="SmithTitle"></asp:Label>
        </td>
    </tr>
    <tr><td ></td></tr>
    <tr align="left">
        <td style="width: 261px">
            <asp:Label ID="Label1" runat="server" Text="From Date:"></asp:Label>
            <asp:TextBox ID="txtFromDate" runat="server" Width="78px"></asp:TextBox>
            &nbsp;<asp:Image ID="calendar" runat="server" ImageUrl="~/DesktopModules/Smith.BuyNow/Images/calendar.png" />
        </td>
        
        <td style="width: 200px">
            <asp:Label ID="Label2" runat="server" Text="To Date:"></asp:Label>
            <asp:TextBox ID="txtToDate" runat="server" Width="94px"></asp:TextBox>
            &nbsp;<asp:Image ID="calendar1" runat="server" ImageUrl="~/DesktopModules/Smith.BuyNow/Images/calendar.png" />
        </td>
        <td style="width: 22px"></td>
        <td style="width: 150px">
            <asp:Button ID="btnFilter" runat="server" OnClick="btnFilter_Click" Text="Filter" Width="52px" />&nbsp;&nbsp
            <asp:Button ID="txtShowAll" runat="server" OnClick="txtShowAll_Click" Text="Show All" Width="83px" />
        </td> 
    </tr>
    <tr style="height: 20px"><td></td></tr>
</table>

<table><tr><td>
    <asp:DataGrid ID="DataGrid1" runat="server" AllowPaging="False" AllowSorting="True" AutoGenerateColumns="False"  
        OnPageIndexChanged="DataGrid1_PageIndexChanged" OnSortCommand="DataGrid1_SortCommand" OnItemDataBound="DataGrid1_ItemDataBound"
        PageSize="30" ShowFooter="True" CellPadding="5" GridLines="None" CssClass="reportgrid" >
       <HeaderStyle CssClass="headerstyle"/> 
       <AlternatingItemStyle BackColor="#F1F1F1" />
        <Columns>
            
            <asp:TemplateColumn HeaderText="Order Date" SortExpression="orderdate" ItemStyle-CssClass="GridCells" HeaderStyle-HorizontalAlign="Left">
                <ItemTemplate>
                    <asp:Label ID="lblOrderDate" runat="server" Text='<%# loadDate(DataBinder.Eval(Container.DataItem,"OrderDate")) %>' Width="100px"></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>

            <asp:TemplateColumn HeaderText="OrderID" SortExpression="orderid" ItemStyle-CssClass="GridCells" HeaderStyle-HorizontalAlign="Left">
                <ItemTemplate>
                    <asp:Label ID="lblOrderID" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.orderid")) %>'></asp:Label>
                </ItemTemplate>
                 <Footertemplate>
                   <asp:Label ID="lblTotalLabel" runat="server" Text="TOTALS" ></asp:Label>
                </FooterTemplate>
            </asp:TemplateColumn>

            <asp:TemplateColumn HeaderText="Amount" SortExpression="SubTotal" ItemStyle-CssClass="GridCellsRight" >
                <ItemTemplate>                   
                   <asp:Label ID="lblSubTotal" runat="server" Text='<%# FormatCurrency(DataBinder.Eval(Container,"DataItem.subtotal")) %>' ></asp:Label>
                </ItemTemplate>
                 <Footertemplate>
                   <asp:Label ID="lblSubTotalSum" runat="server" Text="SubTotalSum" ></asp:Label>
                </FooterTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="Discount" SortExpression="Discount" ItemStyle-CssClass="GridCellsRight" >
                <ItemTemplate>
                   <asp:Label ID="lblDiscount" runat="server" Text='<%# DataBinder.Eval(Container.DataItem, "Discount","{0:c}") %>' ></asp:Label>
                </ItemTemplate>
                 <Footertemplate>
                   <asp:Label ID="lblDiscountSum" runat="server" Text="SubTotalSum" ></asp:Label>
                </FooterTemplate>
            </asp:TemplateColumn>

             <asp:TemplateColumn HeaderText="Shipping" SortExpression="ShippingTotal" ItemStyle-CssClass="GridCellsRight">
                <ItemTemplate>
                   <asp:Label ID="lblShipping" runat="server" Text='<%# DataBinder.Eval(Container.DataItem, "ShippingTotal","{0:c}") %>' ></asp:Label>
                </ItemTemplate>
                 <Footertemplate>
                   <asp:Label ID="lblShippingSum" runat="server" Text="ShippingSum" ></asp:Label>
                </FooterTemplate>
            </asp:TemplateColumn>

            <asp:TemplateColumn HeaderText="Handling" SortExpression="HandlingCharge" ItemStyle-CssClass="GridCellsRight">
                <ItemTemplate>
                   <asp:Label ID="lblHandling" runat="server" Text='<%# DataBinder.Eval(Container.DataItem, "HandlingCharge","{0:c}") %>' ></asp:Label>
                </ItemTemplate>
                 <Footertemplate>
                   <asp:Label ID="lblHandlingSum" runat="server" Text="HandlingSum" ></asp:Label>
                </FooterTemplate>
            </asp:TemplateColumn>

            <asp:TemplateColumn HeaderText="Tax" SortExpression="TaxTotal" ItemStyle-CssClass="GridCellsRight">
                <ItemTemplate>
                   <asp:Label ID="lblTax" runat="server" Text='<%# DataBinder.Eval(Container.DataItem, "TaxTotal","{0:c}") %>' ></asp:Label>
                </ItemTemplate>
                 <Footertemplate>
                   <asp:Label ID="lblTaxSum" runat="server" Text="TaxSum" ></asp:Label>
                </FooterTemplate>
            </asp:TemplateColumn>
            
           <asp:TemplateColumn HeaderText="Total" SortExpression="Total" ItemStyle-CssClass="GridCellsRight">
                <ItemTemplate>
                   <asp:Label ID="lblTotal" runat="server" Text='<%# DataBinder.Eval(Container.DataItem, "Total","{0:c}") %>' ></asp:Label>
                </ItemTemplate>
                 <Footertemplate>
                   <asp:Label ID="lblTotalSum" runat="server" Text="TotalSum" ></asp:Label>
                </FooterTemplate>
            </asp:TemplateColumn>
            
        </Columns>
        
        <PagerStyle Position="TopAndBottom" NextPageText="Next >" PrevPageText="< Prev" HorizontalAlign="Left"></PagerStyle>
    </asp:DataGrid>
    
</td></tr>

<tr><td style="height: 30px"></td></tr>
<tr align="center"><td> <asp:Button ID="btnBack" runat="server" Text="Back" Width="85px" Height="27px" onclick="btnBack_Click"/></td></tr>
<tr><td style="height: 5px"></td></tr>

</table>
