﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.BuyNow.ManageCustomer, App_Web_managecustomer.ascx.54f2e0e1" %>
<link href="module.css" rel="stylesheet" type="text/css" />

<table align="left">
    <tr><td colspan="2" style="height: 32px" align="left"><asp:Label ID="Label20" runat="server" Height="16px" Text="Customer Listing" cssclass="SmithTitle"/></td></tr>
    <tr><td></td></tr>
    <tr><td><asp:Button ID="btnShowAll" runat="server" OnClick="btnShowAll_Click" Text="Show All" Width="83px" /></td> </tr>
    <tr><td></td></tr>

<tr><td>
    <asp:DataGrid ID="DataGrid1" runat="server" AllowPaging="True" AllowSorting="True" AutoGenerateColumns="False" PageSize="50" 
        OnItemCommand="DataGrid1_ItemCommand" OnPageIndexChanged="DataGrid1_PageIndexChanged" OnSortCommand="DataGrid1_SortCommand" ShowFooter="True" >
        <HeaderStyle CssClass="GridHeader" /> 
        <PagerStyle Position="TopAndBottom" NextPageText="Next >" PrevPageText="< Prev" CssClass="GridPager"/>
       
        <Columns>
            <asp:TemplateColumn HeaderStyle-HorizontalAlign="Center">
                <HeaderTemplate>
                    <asp:Button ID="ButtonFilterCustomers" runat="server" CausesValidation="false" CommandName="filterCustomers"
                        Text="Filter" Width="50px" />
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Button ID="Button1" runat="server" CausesValidation="false" CommandName="selectCustomer" Text="Select" Width="60" />
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="CustomerID" SortExpression="customerid" Visible="false">
                <HeaderTemplate>
                    <asp:LinkButton ID="LinkButtonSortCustomerID" runat="server" CommandArgument="CustomerID" CommandName="Sort" Text="ID" ></asp:LinkButton><br />
                    <asp:TextBox ID="TextBoxSearchCustomerID" runat="server"></asp:TextBox>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblCID" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.customerid")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="First Name" SortExpression="firstname" ItemStyle-CssClass="GridCells">
                <HeaderTemplate>
                    <asp:LinkButton ID="LinkButtonSortFirstName" runat="server" CommandArgument="firstname"
                        CommandName="Sort" Text="First Name" CSSClass="linkButton"></asp:LinkButton><br />
                    <asp:TextBox ID="TextBoxSearchFirstName" runat="server" Width="75px"></asp:TextBox>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblFirstName" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.firstname")) %>'> </asp:Label>
                </ItemTemplate>  
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="Last Name" SortExpression="lastname" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <HeaderTemplate>
                    <asp:LinkButton ID="LinkButtonSortLastName" runat="server" CommandArgument="lastname"
                        CommandName="Sort" Text="Last Name" CSSClass="linkButton"></asp:LinkButton><br />
                    <asp:TextBox ID="TextBoxSearchLastName" runat="server" Width="100px"></asp:TextBox>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblLastName" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.lastname")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="Email" SortExpression="email" Visible="false" ItemStyle-CssClass="GridCells">
                <HeaderTemplate>
                    <asp:LinkButton ID="LinkButtonSortEmail" runat="server" CommandArgument="email" CommandName="Sort"
                        ForeColor="white" Text="Email" CSSClass="linkButton"></asp:LinkButton><br />
                    <asp:TextBox ID="TextBoxSearchEmail" runat="server" Width="50px"></asp:TextBox>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblEmail" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.email")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="Address" SortExpression="address1" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblAddress1" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.address1")) %>' Width="150px"></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
             <asp:TemplateColumn HeaderText="Address" SortExpression="address2" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblAddress2" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.address2")) %>' Width="80px"></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="City" SortExpression="city" ItemStyle-CssClass="GridCells">
                <HeaderTemplate>
                    <asp:LinkButton ID="LinkButtonSortCity" runat="server" CommandArgument="City"
                        CommandName="Sort" Text="City" Width="70px" CSSClass="linkButton"></asp:LinkButton><br />
                    <asp:TextBox ID="TextBoxSearchCity" runat="server" Width="75px"></asp:TextBox>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblCity" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.city")) %>'></asp:Label>
                </ItemTemplate>  
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="State" SortExpression="state" ItemStyle-CssClass="GridCells">
                 <HeaderTemplate>
                    <asp:LinkButton ID="LinkButtonSortState" runat="server" CommandArgument="State"
                        CommandName="Sort" Text="State" Width="70px" CSSClass="linkButton"></asp:LinkButton><br />
                    <asp:TextBox ID="TextBoxSearchState" runat="server" Width="75px"></asp:TextBox>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblState" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.state")) %>' Width="5px"></asp:Label>
                </ItemTemplate>
                <ItemStyle Width="10px" />
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="Country" SortExpression="country" ItemStyle-CssClass="GridCells">
                <HeaderTemplate>
                    <asp:LinkButton ID="LinkButtonSortCountry" runat="server" CommandArgument="Country"
                        CommandName="Sort" Text="Country" Width="70px" CSSClass="linkButton"></asp:LinkButton><br />
                    <asp:TextBox ID="TextBoxSearchCountry" runat="server" Width="75px"></asp:TextBox>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblCountry" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.country")) %>' Width="5px"></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="Zip" SortExpression="zip" ItemStyle-CssClass="GridCells">
                <HeaderTemplate>
                    <asp:LinkButton ID="LinkButtonSortZip" runat="server" CommandArgument="Zip"
                        CommandName="Sort" Text="Zip" Width="70px" CSSClass="linkButton"></asp:LinkButton><br />
                    <asp:TextBox ID="TextBoxSearchZip" runat="server" Width="75px"></asp:TextBox>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblZip" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.zip")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="Primary Phone" SortExpression="workphone" ItemStyle-CssClass="GridCells">
                <HeaderStyle Wrap="False" />
                <ItemStyle Wrap="False" />
                <ItemTemplate>
                    <asp:Label ID="lblPriPhone" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.workphone")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="Other Phone" SortExpression="homephone" >
                <HeaderStyle Wrap="False" />
                <ItemStyle Wrap="False" />
                <ItemTemplate>
                    <asp:Label ID="lblOtherPhone" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.homephone")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
             <asp:TemplateColumn HeaderText="DNN Login" SortExpression="dnnlogin" ItemStyle-CssClass="GridCells">
                <HeaderTemplate>
                    <asp:LinkButton ID="LinkButtonSortDNNLogin" runat="server" CommandArgument="DNNLogin"
                        CommandName="Sort" Text="DNNLogin" Width="70px" CSSClass="linkButton"></asp:LinkButton><br />
                    <asp:TextBox ID="TextBoxSearchDNNLogin" runat="server" Width="75px"></asp:TextBox>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblDNNLogin" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.dnnlogin")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
             <asp:TemplateColumn HeaderText="Contact" SortExpression="contact" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblContact" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.contact")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="IP Address" SortExpression="ipaddress" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblIPAddress" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.ipaddress")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="CompanyName" SortExpression="companyname" ItemStyle-CssClass="GridCells">
                 <HeaderTemplate>
                    <asp:LinkButton ID="LinkButtonSortCompanyName" runat="server" CommandArgument="CompanyName"
                        CommandName="Sort" Text="CompanyName" Width="70px"></asp:LinkButton><br />
                    <asp:TextBox ID="TextBoxSearchCompanyName" runat="server" Width="75px"></asp:TextBox>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblCompanyName" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.companyname")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
                
        </Columns>
    </asp:DataGrid>
</td></tr>
<tr><td style="height: 20px"></td></tr>
    <tr align="center">
         <td> 
             <asp:Button ID="btnBack" runat="server" Text="Back" Width="85px" Height="27px" onclick="btnBack_Click"/>
        </td>
    </tr>
</table>
