﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.BuyNow.ManagePaymentMethods, App_Web_managepaymentmethods.ascx.54f2e0e1" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" Assembly="DotNetNuke" Namespace="DotNetNuke.UI.WebControls"%>
<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.UI.WebControls" Assembly="DotNetNuke.WebControls" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx" %>

<link href="module.css" rel="stylesheet" type="text/css" />

<table id="ButtonRow" runat="server" width="925px"><tr><td>
<asp:Button ID="btnBack_Methods" runat="server" onclick="btnBack_Click" Text="Store Admin Menu" CausesValidation="false" CssClass="" />&nbsp; 
<asp:Button ID="btnPaymentMethodSetup" runat="server" Text="Payment Methods" CausesValidation="false" Visible="true" onclick="btnPaymentMethodSetup_Click" CssClass="" />&nbsp; 
<asp:Button ID="btnPaymentMethodZone" runat="server" Text="Zones" CausesValidation="false" onclick="btnPaymentMethodZone_Click" CssClass="" />&nbsp; 
<asp:Button ID="btnPaymentGateway" runat="server" Text="Payment Gateways" CausesValidation="false" onclick="btnPaymentGateway_Click" CssClass="" />&nbsp; 
<asp:Button ID="btnBillingTerms" runat="server" Text="Billing Terms" CausesValidation="false" onclick="btnBillingTerms_Click" CssClass="" />
<hr />
</td></tr></table>
<br />
<div class="center"><asp:Label ID="lblStatus" runat="server" CssClass="SmithRequiredText"/></div>


<asp:MultiView runat="server" ID="mvMain">

<%--****************************** Payment Methods ********************************************--%>

    <asp:View ID="viewPaymentMethodSetup" runat="Server">
    
        <table class="SmithProdText">
            <tr><td align="left" class="SmithTitle"><asp:Label ID="Label8" runat="server" Text="Manage Payment Methods" /></td></tr>
            <tr style="height:20px"><td>&nbsp;</td></tr>
            <tr>
                <td>
                    <asp:GridView ID="grdPaymentMethod" runat="server" AutoGenerateColumns="false" 
                        OnRowDeleting="grdPaymentMethod_RowDeleting" Width="100%" CssClass="cssMain" CellPadding="4" DataKeyNames="PayMethodID" >
                        <HeaderStyle CssClass="GridHeader" /> 
                        <Columns>
                            <asp:TemplateField HeaderText="Zone ID" HeaderStyle-HorizontalAlign="Left"  ItemStyle-CssClass="GridCells" Visible="false">
                                <ItemTemplate>
                                    <asp:Label ID="lblPaymentMethodID" runat="server" Text='<%#Eval("PayMethodID") %>'></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>

                             <asp:TemplateField HeaderText="Sort Order" HeaderStyle-CssClass="GridHeader" ItemStyle-CssClass="GridCells">
                                <ItemTemplate>
                                    <asp:Label ID="lblSortOrder" runat="server" Text='<%#Eval("SortOrder") %>' />
                                </ItemTemplate>
                            </asp:TemplateField>

                            <asp:TemplateField HeaderText="Payment Method Name" HeaderStyle-CssClass="GridHeader" ItemStyle-CssClass="GridCells">
                                <ItemTemplate>
                                    <asp:Label ID="lblName" runat="server" Text='<%#Eval("Name") %>'></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>

                             <asp:TemplateField HeaderText="Payment Zone" HeaderStyle-CssClass="GridHeader" ItemStyle-CssClass="GridCells">
                                <ItemTemplate>
                                    <asp:Label ID="lblPayZone" runat="server" Text='<%#Eval("PayZone") %>'></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>

                             <asp:TemplateField HeaderText="Type" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" Visible="false">
                                <ItemTemplate>
                                    <asp:Label ID="lblType" runat="server" Text='<%#Eval("Type") %>'></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
 
                           <asp:TemplateField ItemStyle-CssClass="GridCells">
                                <ItemTemplate>
                                    <asp:LinkButton CausesValidation="false"  ID="lkUpdatePaymentMethod" runat="server" Text="Edit" OnClick="lkUpdatePaymentMethod_Edit"/>
                                </ItemTemplate>
                            </asp:TemplateField>
                            
                            <asp:CommandField ShowDeleteButton="True" ItemStyle-CssClass="GridCells" />
                        </Columns>
                    </asp:GridView>
                </td>
            </tr>
            <tr style="height:20px"><td>&nbsp;</td></tr>
            <tr><td align="left"><asp:Button ID="btnAddPaymentMethod" runat="server" Text="Add New Payment Method" OnClick="btnAddPaymentMethod_Click" CausesValidation="false" /></td></tr>                
            <tr><td>&nbsp;</td></tr>
        </table>

        <table class="SmithProdText" visible="false" runat="server" id="paymentMethodEditTable"  >
            <tr><td></td></tr>

            <tr align="left">
                <td  valign="top" class="SmithProdText"><asp:Label ID="lblSortOrder" runat="server" Text="Sort Order: " /><font class="SmithRequiredText">*</font></td>
                <td valign="top">
                    <asp:TextBox ID="txtSortOrder" runat="server" Width="75" />
                    <asp:CompareValidator ID="cvSortOrder" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtSortOrder" Operator="DataTypeCheck" Type="Integer"/> 
                </td>
            </tr>

            <tr style="height:7"><td colspan="2"></td></tr>
            <tr align="left">
                <td class="SmithProdText"><asp:Label ID="lblPaymentMethodName" runat="server" Text="Payment Method Name: " /><font class="SmithRequiredText">*</font></td>
                <td>
                    <asp:TextBox ID="txtPaymentMethodName" runat="server" Width="200px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="txtPaymentMethodNameRequiredFieldValidator" runat="server" ErrorMessage="Required" ControlToValidate="txtPaymentMethodName"/>
                </td>
            </tr>
            
            <tr style="height:7"><td></td></tr>
            <tr align="left">
                <td><asp:Label ID="lblPaymentType0" runat="server" Text="Payment Type: " /><font class="SmithRequiredText">*</font></td>
                <td>
                    <asp:DropDownList ID="ddlPaymentMethodType" runat="server" Width="200px">
                        <asp:ListItem Text="Credit Card" Value="CreditCard" />
                        <asp:ListItem Text="eCheck/ACH Checking" Value="ACHChecking" />
                        <asp:ListItem Text="eCheck/ACH Savings" Value="ACHSavings" />
                        <asp:ListItem Text="Checking" Value="Checking" />
                        <asp:ListItem Text="Check With Account" Value="CheckWithAccount" />
                        <asp:ListItem Text="Internet Banking" Value="InternetBanking" />
                        <asp:ListItem Text="Purchase Order" Value="PO" />
                        <asp:ListItem Text="Cash" Value="Cash" />
                        <asp:ListItem Text="COD" Value="COD" />
                        <asp:ListItem Text="Check" Value="Check" />
                        <asp:ListItem Text="Telephone" Value="Telephone" />
                    </asp:DropDownList>
                </td>
            </tr>

            <tr style="height:7"><td></td></tr>
            <tr align="left">
                <td valign="top" class="SmithProdText"><asp:Label ID="lblPaymentZone0" runat="server" Text="Zone: " /><font class="SmithRequiredText">*</font></td>
                <td valign="top">
                    <asp:DropDownList ID="ddlZone" runat="server" AppendDataBoundItems="True">
                       <%-- <asp:ListItem Text="No Zone" Value="0" />--%>
                    </asp:DropDownList>&nbsp;&nbsp;&nbsp;
                    <asp:LinkButton ID="lbManageZones" runat="server" Text="Manage Zones" onclick="lbManageZones_Click" CausesValidation="false" CssClass="adminLink" />&nbsp;
                    <asp:RequiredFieldValidator ID="rfvddlZone" runat="server" ControlToValidate="ddlZone" InitialValue="0" Display="Dynamic" CssClass="SmithProdText" Text="Zone Required"/>
                </td>
            </tr>

            <tr style="height:7"><td colspan="2"></td></tr>
            <tr align="left">
                <td valign="top" class="SmithProdText"><asp:Label ID="lblStep2Label1" runat="server" Text="Step 2 Page Label #1:" /></td>
                <td><asp:TextBox ID="tbStep2Label1" runat="server" Width="300px" Height="50px" TextMode="MultiLine" AutoPostBack="false"/></td>
            </tr>

            <tr style="height:7"><td colspan="2"></td></tr>
            <tr align="left">
                <td valign="top" class="SmithProdText"><asp:Label ID="lblStep2Label2" runat="server" Text="Step 2 Page Label #2:" /></td>
                <td><asp:TextBox ID="tbStep2Label2" runat="server" Width="300px" Height="50px" TextMode="MultiLine" AutoPostBack="false" /></td>
            </tr>

            <tr style="height:7"><td colspan="2"></td></tr>
            <tr align="left">
                <td valign="top" class="SmithProdText"><asp:Label ID="lblEmailMessage" runat="server" Text="E-mail Message:"/></td>
                <td><asp:TextBox ID="tbEmailMessage" runat="server" Width="300px" Height="100px" TextMode="MultiLine"/></td>
            </tr>

            <tr style="height:7"><td colspan="2"></td></tr>
            <tr align="left">
                <td valign="top" class="SmithProdText"><asp:Label ID="lblSurchargePercentage" runat="server" Text="Surcharge Percentage: &lt;/br&gt;(8.25% is entered as 8.25)" /></td>
                <td>
                    <asp:TextBox ID="txtSurchargePercentage" runat="server" Width="100px" MaxLength="7" />
                    <asp:CompareValidator ID="CompareValidator4" runat="server" ControlToValidate="txtSurchargePercentage" ErrorMessage="Enter a number" Operator="DataTypeCheck" Type="Double" />
                </td>
            </tr>

            <tr style="height:7"><td colspan="2"></td></tr>
            <tr align="left">
                <td valign="top" class="SmithProdText"><asp:Label ID="lblSurchargeAmount" runat="server" ResourceKey="lblSurchargeAmount" Text="Surcharge Amount:" /></td>
                <td>
                    <asp:TextBox ID="txtSurchargeAmount" runat="server" Width="100px" MaxLength="7" />
                    <asp:CompareValidator ID="CompareValidator11" runat="server" ControlToValidate="txtSurchargeAmount" ErrorMessage="Enter a number" Operator="DataTypeCheck" Type="Double" />
                </td>
            </tr>

            <tr style="height:20px"><td colspan="2">&nbsp;</td></tr>
            <tr align="left">
                <td align="left"><asp:Button ID="btnPaymentMethodCancel" runat="server" onclick="btnPaymentMethodCancel_Click" Text="Cancel" Width="70px" CausesValidation="false" /></td>
                <td align="left"><asp:Button ID="btnPaymentMethodSubmit" runat="server" Text="Submit" OnClick="btnPaymentMethodSubmit_Click" Width="120px" /></td>
            </tr>
            <tr><td>&nbsp;</td></tr>
            <tr align="left"><td colspan="2"><span class="SmithRequiredText">*</span>&nbsp;&nbsp;<i>Indicates required field</i></td></tr>
        </table>
        <tr><td>&nbsp;</td></tr>
       
    </asp:View>
    

  <%-- *********************** Zone Setup *********************** --%>
  
 <asp:View ID="viewZoneSetup" runat="server">
 
     <table class="SmithProdText">
            <%--<tr style="height:20"><td>&nbsp;</td></tr>--%>
            <tr align="left"><td><asp:Label ID="Label6" runat="server" CssClass="SmithTitle" Text="Manage Payment Method Zones" /></td></tr>
            <tr style="height:20"><td>&nbsp;</td></tr>
       
       <tr align="left">
            <td>
                <asp:GridView ID="grdZone" runat="server" AutoGenerateColumns="false" Width="100%" CellPadding="4" CssClass="cssMain" 
                    OnRowDeleting="grdZone_RowDeleting" DataKeyNames="PayZoneID" >
                    <HeaderStyle CssClass="GridHeader" />
                    <Columns>
                        <asp:TemplateField HeaderText="Zone ID" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" Visible="false">
                            <ItemTemplate>
                                <asp:Label ID="lblZoneID" runat="server" Text='<%#Eval("PayZoneID") %>'></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>
                        
                         <asp:TemplateField HeaderText="Zone Name" HeaderStyle-CssClass="GridHeader" ItemStyle-CssClass="GridCells">
                            <ItemTemplate>
                                <asp:Label ID="lblZoneName" runat="server" Text='<%#Eval("Name") %>' />
                            </ItemTemplate>
                        </asp:TemplateField>
             
                      <asp:TemplateField ItemStyle-CssClass="GridCells">
                            <ItemTemplate>
                                <asp:LinkButton CausesValidation="false"  ID="lkUpdateZone" runat="server" Text="Edit" OnClick="lkUpdateZone_Edit"/>
                            </ItemTemplate>
                        </asp:TemplateField>
                        
                        <asp:CommandField ItemStyle-CssClass="GridCells" ShowDeleteButton="True" />
                        
                    </Columns>
                </asp:GridView>
            </td>
        </tr>
        
        <tr style="height:20px"><td>&nbsp;</td></tr>
        
        <tr><td align="left"><asp:Button ID="btnAddZone" runat="server" OnClick="btnAddZone_Click" Text="Add Zone" CausesValidation="false"/></td></tr>
        <tr style="height:20px"><td>&nbsp;</td></tr>

       </table>

        <table class="SmithProdText" visible="false" runat="server" id="zoneEditTable">
            
            <tr align="left">
                <td valign="top" class="SmithProdText"><asp:Label ID="lblZoneName" runat="server" Text="Zone Name:  " /><font class="SmithRequiredText">*</font>&nbsp;&nbsp;</td>
                <td>
                    <asp:TextBox ID="txtZoneName" runat="server" Width="200px" MaxLength="200" />&nbsp;&nbsp;
                    <asp:RequiredFieldValidator ID="rfvZoneName" runat="server" ErrorMessage="Required" ControlToValidate="txtZoneName"/>
                </td>
            </tr>
            
            <tr style="height:7"><td>&nbsp;</td></tr>
            
            <tr align="left">
                <td class="SmithProdText"><asp:Label ID="lblCountry" runat="server" Text="Country:  " /><font class="SmithRequiredText">*</font></td>
                <td align="left">
                    <div>
                         <table>
                             <tr align="left">
                                <td>
                                    <asp:Label ID="lblMasterCountryList" runat="server" Text="Master Country List" /><br />
                                    <asp:ListBox ID="lstMasterCountries" runat="server" SelectionMode="Multiple" Width="200px" Height="120px" />
                                </td>
                                <td>
                                    <asp:Button ID="countryButtonAdd" runat="server" Text=">>"  Width="50px" OnClick="zoneCountryButtonAdd_Click" /><br />
                                    <asp:Button ID="countryButtonRemove" runat="server" Text="<<" Width="50px" OnClick="zoneCountryButtonRemove_Click" /> <br />    
                                </td>
                                <td>
                                    <asp:Label ID="lblSelectCountries" runat="server" Text="Zone Countries" /><br />
                                    <asp:ListBox ID="lstZoneCountries" runat="server" SelectionMode="Multiple" Width="200px" Height="120px" />
                                </td>
                            </tr>
                        </table> 
                    </div>
                </td>
            </tr>
                     
            <tr style="height:7"><td colspan="2"></td></tr>
            
            <tr align="left" runat="server" id="zoneStateRow" >
                <td class="SmithProdText" ><asp:Label ID="lblState" runat="server" Text="State/Region:" /></td>
                <td align="left">
                    <div id="listZoneStates" runat="server" >
                         <table>
                             <tr align="left">
                                <td>
                                    <asp:Label ID="lblMasterStates" runat="server" Text="Master State List" /><br />
                                    <asp:ListBox ID="lstMasterStates" runat="server" SelectionMode="Multiple" Width="200px" Height="120px" />
                                </td>
                                <td>
                                    <asp:Button ID="stateButtonAdd" runat="server" Text=">>"  Width="50px" OnClick="zoneStateButtonAdd_Click" /><br />
                                    <asp:Button ID="stateButtonRemove" runat="server" Text="<<" Width="50px" OnClick="zoneStateButtonRemove_Click" /> <br />    
                                </td>
                                <td>
                                    <asp:Label ID="lblSelectedStates" runat="server" Text="Zone States" /><br />
                                    <asp:ListBox ID="lstZoneStates" runat="server" SelectionMode="Multiple" Width="200px" Height="120px" />
                                </td>
                            </tr>
                        </table> 
                    </div>
                </td>
            </tr>

            <tr style="height:20px"><td>&nbsp;</td></tr>
        
            <tr>
                <td align="left" colspan="2">
                    <asp:Button ID="btnZoneCancel" runat="server" onclick="btnPaymentMethodZoneCancel_Click" Text="Cancel" Width="70px" CausesValidation="false" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:Button ID="btnZoneSubmit" runat="server" Text="Submit" OnClick="btnPaymentMethodZoneSubmit_Click" Width="100px"/>
                </td>
            </tr>
            <tr><td>&nbsp;</td></tr>
            <tr align="left"><td colspan="2"><span class="SmithRequiredText">*</span>&nbsp;&nbsp;<i>Indicates required field</i></td></tr>
            <tr><td>&nbsp;</td></tr>
     </table>

    </asp:View>
    
 
 <%--********************** Payment Gateway **********************--%>

       <asp:View ID="viewPaymentGateway" runat="Server">
    
        <table class="SmithProdText" runat="server" id="paymentGatewayTable" style="width:600px;">
            <tr><td colspan="2" align="left" class="SmithTitle" style="height:40px;"><asp:Label ID="Label19" runat="server" Text="Payment Gateway Setup" /></td></tr>
            <tr><td></td></tr>  
            
            <tr align="left">
                <td style="height:30px"><dnn:Label ID="lblPaymentGateway" runat="server" /></td>
                <td>
                    <%--<asp:UpdatePanel runat="server" ID="UpdatePanel2">
                        <Triggers><asp:PostBackTrigger ControlID="ddlGateway" /></Triggers>
                        <ContentTemplate>--%>
                            <asp:DropDownList ID="ddlGateway" runat="server" OnSelectedIndexChanged="ddlGateway_SelectedIndexChanged" AutoPostBack="True">
                                <asp:ListItem Value="0">-Select-</asp:ListItem>
                                <asp:ListItem Value="AMAZONCHECKOUT">Amazon Checkout</asp:ListItem>
                                <asp:ListItem Value="ANZHOSTED">ANZ eGate - Bank Hosted</asp:ListItem>
                                <asp:ListItem Value="AUTHORIZE.NET">Authorize.Net (AIM)</asp:ListItem>
                                <asp:ListItem Value="AUTHNET-AIM-EMULATOR">Authorize.Net (AIM) Emulator</asp:ListItem>
                                <asp:ListItem Value="AUTHNETHOSTED">Authorize.Net Hosted Payment Page (SIM)</asp:ListItem>
                                <asp:ListItem Value="BARCLAYCARDHOSTED">Barclaycard</asp:ListItem>
                                <asp:ListItem Value="BLUEPAY">BluePay</asp:ListItem>
                                <asp:ListItem Value="CBOSSHOSTED">CBOSS - Bank Hosted</asp:ListItem>
                                <asp:ListItem Value="CYBERSOURCE">Cybersource</asp:ListItem>
                                <asp:ListItem Value="EXACT">Chase Paymentech E-xact</asp:ListItem>
                                <asp:ListItem Value="DPSHosted">DPS PaymentExpress - Bank Hosted</asp:ListItem>
                                <asp:ListItem Value="INTERNETSECURE">Elavon Internet Secure</asp:ListItem>
                                <asp:ListItem Value="ELAVON">Elavon Virtual Merchant</asp:ListItem>
                                <asp:ListItem Value="EPROCESSING">eProcessing Network</asp:ListItem>
                                <asp:ListItem Value="EWAY">Eway</asp:ListItem>
                                <asp:ListItem Value="FIRSTDATA">First Data Global Connect LinkPoint</asp:ListItem>
                                <asp:ListItem Value="FIRSTDATAPAYPLUS">First Data Global Connect PayPlus Payment Form</asp:ListItem>
                                <asp:ListItem Value="FIRSTDATAWS">First Data Global Connect Web Service</asp:ListItem>
                                <asp:ListItem Value="GOOGLECHECKOUT">Google Checkout</asp:ListItem>
                                <asp:ListItem Value="INNOVATIVE">Innovative</asp:ListItem>
                                <asp:ListItem Value="MERCHANTESOLUTIONS">Merchant e-Solutions</asp:ListItem>
                                <asp:ListItem Value="MYGATE">MyGate</asp:ListItem>
                                <asp:ListItem Value="MYGATEENTERPRISE">MyGate Enterprise</asp:ListItem>
                                <asp:ListItem Value="MYGATEENTERPRISE3DSECURE">MyGate Enterprise with 3D Secure</asp:ListItem>
                                <asp:ListItem Value="MYGATEVIRTUAL">MyGate Virtual - Bank Hosted</asp:ListItem>
                                <asp:ListItem Value="NMI">NMI</asp:ListItem>    
                                <asp:ListItem Value="NPPHOSTED">National Payment Provider - Bank Hosted</asp:ListItem>  
                                <asp:ListItem Value="PAYJUNCTION">PayJunction</asp:ListItem>
                                <asp:ListItem Value="PAYMEX">Paymex</asp:ListItem>                  
                                <asp:ListItem Value="PAYPALSTD">Paypal Website Payments Standard</asp:ListItem>
                                <asp:ListItem Value="PAYPALPRO">PayPal PayFlow Pro</asp:ListItem>
                                <asp:ListItem Value="PAYPAL">Paypal Website Payments Pro</asp:ListItem>
                                <asp:ListItem Value="PAYWAYHOSTED">PayWay - Bank Hosted</asp:ListItem>
                                <asp:ListItem Value="QUICKBOOK">QuickBooks Merchant Services</asp:ListItem>
                                <asp:ListItem Value="REALTORHOSTED">Realtors Electronic Commerce Network</asp:ListItem>
                                <asp:ListItem Value="REDFIN">RedFin Network</asp:ListItem>
                                <asp:ListItem Value="SAGE">Sage Payment Solutions</asp:ListItem>
                                <asp:ListItem Value="SAGEPAYDIRECT">SagePay Direct</asp:ListItem>
                                <asp:ListItem Value="SAGEPAYDIRECT3DSECURE">SagePay Direct 3D Secure</asp:ListItem>
                                <asp:ListItem Value="SAGEPAYHOSTED">SagePay Payment Form - Bank Hosted</asp:ListItem>
                                <asp:ListItem Value="SECUREPAYAUSTRALIA">SecurePay Australia Post</asp:ListItem>
                                <asp:ListItem Value="SETCOMHOSTED">Setcom - Bank Hosted</asp:ListItem>
                                <asp:ListItem Value="SKIPJACK">SkipJack</asp:ListItem>
                                <asp:ListItem Value="SKIPJACKAP">SkipJack Advanced Processors</asp:ListItem>
                                <asp:ListItem Value="SPANISHCONFEDERATION">Spanish Confederation Virtual POS</asp:ListItem>
                                <asp:ListItem Value="TRANSFIRST">TransFirst</asp:ListItem>
                                <asp:ListItem Value="UGSPAY">UGSPay</asp:ListItem>
                                <asp:ListItem Value="USAEPAY">USA ePay</asp:ListItem>
                                <asp:ListItem Value="WORLDPAYHOSTED">WorldPay - Bank Hosted</asp:ListItem>
                                <asp:ListItem Value="WORLDPAYDIRECT">WorldPay Direct 3D Secure</asp:ListItem>
                                <asp:ListItem Value="WEBSERVICE">Custom Direct Payment Gateway</asp:ListItem>
                                <asp:ListItem Value="CUSTOMHOSTEDGATEWAY">Custom Hosted Payment Gateway</asp:ListItem>
                                <asp:ListItem Value="MANUAL">Manual</asp:ListItem>
                            </asp:DropDownList>&nbsp;&nbsp;
                            <span class="SmithRequiredText">*</span>
                            <asp:RequiredFieldValidator ID="rfvddlGateway" runat="server" ControlToValidate="ddlGateway" Display="Dynamic" ErrorMessage="Gateway Required" InitialValue="0"/>
                        <%-- </ContentTemplate>
                    </asp:UpdatePanel>--%>
                </td>
            </tr>
            <tr runat="server" id="trPayPalUserName" align="left">
                <td><asp:Label ID="lblUserName" runat="server" ResourceKey="lblUserName" Text="User Name:" /></td>
                <td><asp:TextBox ID="txtPayPalUserName" MaxLength="100" runat="server" /></td>
            </tr>
            <tr runat="server" id="trPayPalPassword" align="left">
                <td><asp:Label ID="lblPayPalPassword" runat="server" Text="Password:"/></td>
                <td align="left"><asp:TextBox runat="Server" ID="txtPayPalPassword" MaxLength="100" /></td>
            </tr>
            <tr runat="server" id="trPayPalSignature" align="left">
                <td><asp:Label ID="lblAPISignature" runat="server" Text="Signature:"/></td>
                <td align="left"><asp:TextBox runat="Server" ID="txtPayPalSignature"  MaxLength="100" /></td>
            </tr>
            <tr id="trStoreNumber" runat="server" align="left">
                <td>Store Number:</td>
                <td align="left"><asp:TextBox ID="txtStoreNumber" runat="server" MaxLength="50" /></td>
            </tr>
            <tr id="trPemFile" runat="server" align="left">
                <td><asp:Label ID="lblPemFile" runat="server"/></td>
                <td align="left">
                    <asp:UpdatePanel runat="server" ID="UpdatePanel1" RenderMode="Inline">
                        <Triggers><asp:PostBackTrigger ControlID="btnSavePemFile" /></Triggers>
                        <ContentTemplate>
                            <asp:FileUpload runat="server" ID="fuPemFile"  />
                            <asp:Button runat="server" Text="Save Pem File" ID="btnSavePemFile" OnClick="btnSavePemFile_Click" />
                        </ContentTemplate>
                    </asp:UpdatePanel>
                    &nbsp;&nbsp<asp:Label ID="lblPemMsg" runat="server" CssClass="SmithBlueMsg"/>
                </td>
            </tr>
            <tr id="trMerchantId" runat="server" align="left">
                <td nowrap="nowrap"><asp:Label runat="server" ID="lbl1" Text="Merchant ID:"/></td>
                <td align="left"><asp:TextBox ID="txtMerchantID" runat="server" Width="250"/></td>
            </tr>
            <tr id="trRegKey" runat="server" align="left">
                <td nowrap="nowrap"><asp:Label runat="server" ID="lbl2" Text="RegKey:"/></td>
                <td align="left"><asp:TextBox ID="txtRegKey" runat="server" Width="250"/></td>
            </tr>
            <tr runat="server" id="trNMIGatewayURL" align="left">
                <td nowrap="nowrap"><asp:Label runat="server" ID="lblNMIURL" Text="NMI URL:"/></td>
                <td align="left"><asp:TextBox ID="txtNMIGatewayURL" runat="server" Width="250" /></td>
            </tr>
            <tr id="trAppID" runat="server" align="left">
                <td><asp:Label runat="server" ID="lblAppID" Text="App ID:"/></td>
                <td align="left"><asp:TextBox ID="txtAppID" runat="server" Width="250" /></td>
            </tr>
            <tr id="trApplicationName" runat="server" align="left">
                <td nowrap="nowrap"><asp:Label runat="server" ID="lblAppLogin" Text="App Login:"/></td>
                <td align="left"><asp:TextBox ID="txtApplicationName" runat="server" Width="250" /></td>
            </tr>
            <tr id="trConnectionTicket" runat="server" align="left">
                <td nowrap="nowrap">Connection Ticket:</td>
                <td align="left"><asp:TextBox ID="txtConnectionTicket" runat="server" Width="250" /></td>
            </tr>
            <tr runat="Server" id="trPPPMerchantLogin" align="left">
                <td>Merchant Login:</td>
                <td align="left"><asp:TextBox runat="Server" ID="txtPPPMerchantID"  Width="250" /></td>
            </tr>
            <tr runat="Server" id="trPPPUser" align="left">
                <td>User:</td>
                <td align="left"><asp:TextBox runat="Server" ID="txtPPPUser"  Width="250" /></td>
            </tr>
            <tr runat="Server" id="trPPPPartner" align="left">
                <td>Partner:</td>
                <td align="left"><asp:TextBox runat="Server" ID="txtPPPPartner"  Width="250" /></td>
            </tr>
            <tr runat="Server" id="trPPPPassword" align="left">
                <td>Password:</td>
                <td align="left"><asp:TextBox runat="Server" ID="txtPPPPassword"  Width="250" /></td>
            </tr>
            <tr runat="server" id="trPPMerchantEmail" align="left">
                <td><dnn:Label ID="lblMerchant" runat="server"/></td>
                <td align="left"><asp:TextBox runat="Server" ID="txtPPMerchantEmail" Width="250" /></td>
            </tr>
            <tr runat="server" id="trPPLogoURL" align="left">
                <td><dnn:Label ID="lblMerchantLogoURL" runat="server"/></td>
                <td align="left"><asp:TextBox runat="Server" ID="txtPPLogoURL"  Width="250" /></td>
            </tr>    

            <%-- Checkout By Amazon - Gateway Settings --%>

            <tr runat="server" id="trAmazonMerchantId" align="left">
                <td><asp:Label runat="server" ID="lblAmazonMerchantId" Text="Merchant ID:" /></td>
                <td align="left"><asp:TextBox runat="Server" ID="txtAmazonMerchantId" Width="250" /></td>
            </tr>
            <tr runat="server" id="trAmazonAccessKeyId" align="left">
                <td><asp:Label runat="server" ID="lblAmazonAccessKeyId" Text="AWS Access Key ID:" /></td>
                <td align="left"><asp:TextBox runat="Server" ID="txtAmazonAccessKeyId" Width="250" /></td>
            </tr>
            <tr runat="server" id="trAmazonSecretKey" align="left">
                <td><asp:Label runat="server" ID="lblAmazonSecretKey" Text="AWS Secret Key:" /></td>
                <td align="left"><asp:TextBox runat="Server" ID="txtAmazonSecretKey" Width="250" /></td>
            </tr>

            <%-- Google Checkout - Gateway Settings --%>

            <tr runat="server" id="trGoogleMerchantId" align="left">
                <td><asp:Label runat="server" ID="lblGoogleMerchantId" Text="Merchant ID:" /></td>
                <td align="left"><asp:TextBox runat="Server" ID="txtGoogleMerchantId" Width="250" /></td>
            </tr>
            <tr runat="server" id="trGoogleMerchantKey" align="left">
                <td><asp:Label runat="server" ID="lblGoogleMerchantKey" Text="Merchant Key:" /></td>
                <td align="left"><asp:TextBox runat="Server" ID="txtGoogleMerchantKey" Width="250" /></td>
            </tr>


            <tr id="trElavonMerchantID" runat="server" align="left">
                <td nowrap="nowrap"><asp:Label runat="server" ID="lblElavonMerchantID" Text="Merchant ID:" CssClass="SmithProdText"/></td>
                <td align="left"><asp:TextBox ID="txtElavonMerchantID"  runat="server" MaxLength="100"/></td>
            </tr>
            <tr id="trElavonUserID" runat="server" align="left">
                <td nowrap="nowrap"><asp:Label runat="server" ID="lblElavonUserID" Text="User ID:" CssClass="SmithProdText"/></td>
                <td align="left"><asp:TextBox ID="txtElavonUserID"  runat="server" MaxLength="100"/></td>
            </tr>
                <tr id="trElavonPin" runat="server" align="left">
                <td nowrap="nowrap"><asp:Label runat="server" ID="lblElavonPin" Text="Pin:" CssClass="SmithProdText"/></td>
                <td align="left"><asp:TextBox ID="txtElavonPin"  runat="server" MaxLength="100"/></td>
            </tr>
                <tr id="trElavonGatewayID" runat="server" align="left">
                <td><asp:Label runat="server" ID="Label4">Gateway ID:</asp:Label></td>
                <td align="left"><asp:TextBox ID="txtElavonGatewayID"  runat="server" MaxLength="100"/></td>
            </tr>
    
            <tr id="trPxPayUserId" runat="server" align="left">
                <td><asp:Label runat="server" ID="Label5">PxPayUserId:</asp:Label></td>
                <td align="left"><asp:TextBox ID="txtPxPayUserId"  runat="server" MaxLength="100"/></td>
            </tr>
                <tr id="trPxPayKey" runat="server" align="left">
                <td><asp:Label runat="server" ID="Label1">PxPayKey:</asp:Label></td>
                <td align="left"><asp:TextBox ID="txtPxPayKey"  runat="server" MaxLength="100"/></td>
            </tr>
            <tr id="trEway" runat="server" align="left">
                <td width="100px"><asp:Label runat="server" ID="Label10">Customer ID:</asp:Label></td>
                <td align="left"><asp:TextBox ID="txtEwayCustomerID"  runat="server" MaxLength="100"/></td>
            </tr>
    
            <tr id="trFDRWSUid" runat="server" align="left">
                <td><asp:Label runat="server" ID="Label12">User ID:</asp:Label></td>
                <td align="left"><asp:TextBox ID="txtFDRWSUid"  runat="server" MaxLength="100"></asp:TextBox></td>
            </tr>
                <tr id="trFDRWSPwd" runat="server" align="left">
                <td><asp:Label runat="server" ID="Label13">Password:</asp:Label></td>
                <td align="left"><asp:TextBox ID="txtFDRWSPwd"  runat="server" MaxLength="100"></asp:TextBox></td>
            </tr>
            <tr id="trPemFileWS" runat="server" align="left">
                <td>Pem File: </td>
                <td align="left">
                    <asp:UpdatePanel runat="server" ID="UpdatePanel2" RenderMode="Inline">
                        <Triggers>
                            <asp:PostBackTrigger ControlID="btnSavePemFileWS" />
                        </Triggers>
                        <ContentTemplate>
                            <asp:FileUpload runat="server" ID="fuPemFileWS" Width="300" />
                            <asp:Button runat="server" Text="Save Pem File" Width="110px" ID="btnSavePemFileWS" OnClick="btnSavePemFileWS_Click" />
                        </ContentTemplate>
                    </asp:UpdatePanel>
                    &nbsp;&nbsp<asp:Label ID="lblPemMsgWS" runat="server" CssClass="SmithBlueMsg"/>
                </td>
            </tr>
            <tr id="trSageMID" runat="server" align="left">
                <td><asp:Label runat="server" ID="Label14" CssClass="SmithProdText" Text="MerchantID:"/></td>
                <td align="left"><asp:TextBox ID="txtSageMID"  runat="server" MaxLength="100"/></td>
            </tr>
                <tr id="trSageKey" runat="server" align="left">
                <td><asp:Label runat="server" ID="Label15" CssClass="SmithProdText" Text="Merchant Key:"/></td>
                <td align="left"><asp:TextBox ID="txtSageKey"  runat="server" MaxLength="100"/></td>
            </tr>
            <tr runat="server" id="trAuthNetHostedReceiptText" align="left">
                <td style="height: 25" nowrap="nowrap">Receipt Link Text:</td>
                <td align="left"><asp:TextBox ID="txtReceiptLinkText" runat="server" Width="299px"/></td>
            </tr>
            <tr><td><br /></td></tr>
            <tr align="left">
                <td><dnn:Label ID="lblTestMode" runat="server" /></td>
                <td align="left"><asp:CheckBox ID="chkTestMode" runat="server" AutoPostBack="true" OnCheckedChanged="chkTestMode_CheckedChanged" /></td>
            </tr>
                    
            <tr align="left">
                <td style="height: 22px"><dnn:Label ID="lblAuthorizeOnly" runat="server"/></td>
                <td style="height: 22px" align="left"><asp:CheckBox ID="chkAuthOnly" runat="server" /></td>
            </tr>

            <tr><td style="height: 20">&nbsp;</td></tr>
            <tr align="left"><td colspan="2" align="left"><dnn:Label ID="lblAcceptedCardTypes" runat="server" CssClass="SmithProdText"/> </td></tr>
            <tr><td></td></tr>
            <tr><td style="height: 25px" colspan="2" class="SmithProdText" align="left">
                    <asp:CheckBox ID="chkVisa" runat="server" Text=" Visa" />&nbsp;&nbsp;
                    <asp:CheckBox ID="chkMasterCard" runat="server" Text=" MasterCard" />&nbsp;&nbsp;
                    <asp:CheckBox ID="chkAmex" runat="server" Text=" AMEX" />&nbsp;&nbsp;
                    <asp:CheckBox ID="chkDiscover" runat="server" Text=" Discover" />
                </td>
            </tr>
           
            <tr align="left"><td colspan="2">
                <table id="tblPayPalCheckoutOption" runat="server" >
                    <%--<asp:UpdatePanel runat="server" id="upShowPPCheckout"><ContentTemplate>--%>
                    <tr><td>&nbsp;</td></tr>
                    <tr valign="middle" align="left"><td colspan="2" class="SmithTitle" style="height: 40px">Payment Checkout Options</td></tr>
                    <tr><td></td></tr>

                    <%-- PayPal Standard - Checkout Option Settings --%>

                    <tr align="left" style="height: 25px">
                        <td><dnn:Label ID="lblShowPayPalCheckoutOption" runat="server"/></td>
                        <td align="left" valign="top"><asp:CheckBox ID="chkShowPPCheckout" runat="server" AutoPostBack="true" OnCheckedChanged="chkShowPPCheckout_CheckedChanged" /></td>
                    </tr>
                 
                    <tr runat="server" id="trShowPPMerchantEmail" align="left">
                        <td><dnn:Label ID="lblMerchantPP" runat="server"/></td>
                        <td align="left" style="height:40"><asp:TextBox runat="Server" ID="txtShowPPMerchantEmail"  MaxLength="100" /></td>
                    </tr>    
                    <tr runat="server" id="trShowPPLogoURL" align="left">
                        <td><dnn:Label ID="lblMerchantLogoURLPP" runat="server"/></td>
                        <td align="left"><asp:TextBox runat="Server" ID="txtShowPPLogoURL"  MaxLength="100" /></td>
                    </tr>
                    <tr runat="server" id="trShowPPNotificationUrl" align="left">
                        <td><asp:Label runat="server" ID="lblShowPPNotificationUrl" Text="Notification URL:" /></td>
                        <td align="left"><asp:TextBox runat="Server" ID="txtShowPPNotificationUrl"  MaxLength="100" /></td>
                    </tr>
                    <tr><td></td></tr>

                    <%-- Checkout By Amazon - Checkout Option Settings --%>

                    <tr align="left" style="height: 25px">
                        <td><dnn:Label ID="lblShowAmazonCheckoutOption" runat="server" /></td>
                        <td align="left" valign="top"><asp:CheckBox ID="chkShowAmazonCheckout" runat="server" AutoPostBack="true" OnCheckedChanged="chkShowAmazonCheckout_CheckedChanged" /></td>
                    </tr>
                    <tr runat="server" id="trShowAmazonMerchantId" align="left">
                        <td><asp:Label runat="server" ID="lblShowAmazonMerchantId" Text="Merchant ID:" /></td>
                        <td align="left"><asp:TextBox runat="Server" ID="txtShowAmazonMerchantId"  MaxLength="100" /></td>
                    </tr>
                    <tr runat="server" id="trShowAmazonAccessKeyId" align="left">
                        <td><asp:Label runat="server" ID="lblShowAmazonAccessKeyId" Text="AWS Access Key ID:" /></td>
                        <td align="left"><asp:TextBox runat="Server" ID="txtShowAmazonAccessKeyId"  MaxLength="100" /></td>
                    </tr>
                    <tr runat="server" id="trShowAmazonSecretKey" align="left">
                        <td><asp:Label runat="server" ID="lblShowAmazonSecretKey" Text="AWS Secret Key:" /></td>
                        <td align="left"><asp:TextBox runat="Server" ID="txtShowAmazonSecretKey"  MaxLength="100" /></td>
                    </tr>
                    <tr><td></td></tr>

                    <%-- Google Checkout - Checkout Option Settings --%>

                    <tr align="left" style="height: 25px">
                        <td><dnn:Label ID="lblShowGoogleCheckoutOption" runat="server" /></td>
                        <td align="left" valign="top"><asp:CheckBox ID="chkShowGoogleCheckout" runat="server" AutoPostBack="true" OnCheckedChanged="chkShowGoogleCheckout_CheckedChanged" /></td>
                    </tr>
                    <tr runat="server" id="trShowGoogleMerchantId" align="left">
                        <td><asp:Label runat="server" ID="lblShowGoogleMerchantId" Text="Merchant ID:" /></td>
                        <td align="left"><asp:TextBox runat="Server" ID="txtShowGoogleMerchantId"  MaxLength="100" /></td>
                    </tr>
                    <tr runat="server" id="trShowGoogleMerchantKey" align="left">
                        <td><asp:Label runat="server" ID="lblShowGoogleMerchantKey" Text="Merchant Key:" /></td>
                        <td align="left"><asp:TextBox runat="Server" ID="txtShowGoogleMerchantKey"  MaxLength="100" /></td>
                    </tr>
                    <tr runat="server" id="trShowGoogleNotificationUrl" align="left">
                        <td><asp:Label runat="server" ID="lblShowGoogleNotificationUrl" Text="API Callback URL:" /></td>
                        <td align="left"><asp:TextBox runat="Server" ID="txtShowGoogleNotificationUrl"  MaxLength="100" /></td>
                    </tr>
                    <tr><td></td></tr>

                 </table>

                 <table class="SmithProdText">
                    <tr align="left">
                        <td><dnn:Label ID="lblShowBillMeLater" runat="server"/></td>
                        <td align="left" valign="top" ><asp:CheckBox ID="chkShowBillMeLater" runat="server" oncheckedchanged="chkShowBillMeLater_CheckedChanged" AutoPostBack="True"/></td>
                    </tr>
                    <tr runat="server" id="trBillMeLaterRole" visible="false" align="left">
                        <td align="left"><dnn:Label ID="lblBillMeLaterRole" runat="server"/></td>
                        <td align="left"><asp:CheckBoxList ID="chkBillMeLaterRoles" runat="server" RepeatColumns="2" /></td>
                    </tr>
                </table>

                <table class="SmithProdText">
                    <tr><td>&nbsp;</td></tr>
                    <tr align="left"><td colspan="2" align="left" valign="middle" style="height: 40px" class="SmithTitle">Other Payment Options</td></tr>
                    <tr><td></td></tr>

                    <tr align="left">
                        <td align="left"><dnn:Label ID="lblShowInvoiceNo" runat="server" /></td>
                        <td align="left" valign="top"><asp:CheckBox runat="server" ID="chkShowInvoiceNo" /></td>
                    </tr>

                    <tr><td></td></tr>

                    <tr align="left">
                        <td align="left"><dnn:Label ID="lblShowWallet" runat="server" /></td>
                        <td align="left"><asp:CheckBox runat="server" ID="chkShowWallet" /></td>
                    </tr>

                     <tr align="left">
                        <td align="left"><dnn:Label ID="lblShareWalletByRole" runat="server" /></td>
                        <td align="left"><asp:CheckBox runat="server" ID="chkShareWalletByRole" /></td>
                    </tr>

                    <tr><td></td></tr>

                    <tr align="left">
                        <td align="left"><dnn:Label ID="lblShowPONumber" runat="server" /></td>
                        <td align="left" valign="top"><asp:CheckBox runat="server" ID="chkShowPONumber" /></td>
                    </tr>

                    <tr runat="server" id="trPORole" visible="true" align="left">
                        <td align="left"><dnn:Label ID="lblPurchaseOrderRole" runat="server"/>&nbsp;</td>
                        <td align="left" valign="top"><asp:DropDownList runat="server" ID="ddlPORole" AppendDataBoundItems="true"></asp:DropDownList></td>
                    </tr>
 
                    <tr><td></td></tr>
                </table>
                <table runat="server" id="trInternetBankFields" visible="true" class="SmithProdText" >
                    <tr><td></td></tr>
                    <tr>
                        <td align="left"><asp:Label ID="Label2" runat="server" Text="Merchant Bank Name:" CssClass="SmithProdText"/></td>
                        <td align="left"><asp:TextBox runat="Server" ID="txtIBMerchantBankName" Width="200px" MaxLength="200" /></td>
                    </tr>  
                    <tr><td></td></tr>  
                    <tr>
                        <td align="left"><asp:Label ID="Label3" runat="server" Text="Merchant Bank Account Number:" CssClass="SmithProdText"/>&nbsp;</td>
                        <td align="left"><asp:TextBox runat="Server" ID="txtIBMerchantAccountNumber" Width="200px" MaxLength="100" /></td>
                    </tr>
                    <tr><td></td></tr>  
                </table>

            </td></tr>
        </table>
        <br /><br />
     <div>
        <asp:Button ID="btnPaymentGatewaySave" runat="server" Text="Save" OnClick="btnPaymentGatewaySave_Click" Width="100px" /> &nbsp;&nbsp;&nbsp;
        <asp:Label ID="lblPaymentGatewayMsg" runat="server" CssClass="SmithBlueMsgBold" Text="Saved Successfully" Visible="false"/>
    </div>
    <br />
    <span class="SmithRequiredText">*</span>&nbsp;&nbsp;<i>Indicates required field</i> 
    <br />

    </asp:View>


 
 <%--****************************** Billing Terms ********************************************--%>

    <asp:View ID="viewBillingTerms" runat="Server">
    
     <div id="dvBillingTerms" runat="server" style="height:640px;">
        <table width="550px" class="sText">
	        <tr><td>&nbsp;</td></tr>

            <tr><td>
                <div style="width:180px">
                    <div style="width:140px; float:left;"><dnn:Label ID="lblShowBillingTerms" runat="server"/></div>
                    <div style="overflow:hidden;"><asp:CheckBox runat="server" ID="chkShowBillingTerms" /></div>
                </div><br /> 
            </td></tr>

            <tr><td align="left">Billing Terms:</td></tr>

             <tr runat="server" id="trBillingTerms">
                <td align="left">
                    <dnn:TextEditor ID="txtBillingTerms" runat="server" Width="550" TextRenderMode="Raw" HtmlEncode="False" DefaultMode="Rich" Height="350" ChooseMode="True" ChooseRender="False" />
                    <%--<asp:TextBox runat="server" TextMode="multiLine" MaxLength="400" ID="txtBillingTerms" Rows="8" Columns="100" Width="395px"/>--%>
                </td>
            </tr>
            <tr style="height:20px"><td>&nbsp;</td></tr>
            <tr>
                <td align="left">
                    <asp:Button ID="btnBillingTermsSave" runat="server" Text="Save" OnClick="btnBillingTermsSave_Click" Width="100px" />&nbsp;&nbsp;&nbsp;
                    <asp:Label ID="lblBillTermsMsg" runat="server" CssClass="SmithBlueMsg" Visible="false"/>
                </td>
            </tr>

            <tr><td>&nbsp;</td></tr>
        </table>
     </div>

    </asp:View>


</asp:MultiView>
