﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.BuyNow.ProductMemberPricing, App_Web_productmemberpricing.ascx.54f2e0e1" %>
<%@ Register TagPrefix="uc1" TagName="ProductMenuInclude" Src="menus/productmenu.ascx" %>
<link href="module.css" rel="stylesheet" type="text/css" />
<uc1:ProductMenuInclude ID="productmenu" runat="server" />

<table width="100%" class="SmithProdText">
    <col width="17%" />
    <col width="70%" />
    
    <tr style="height:20"><td>&nbsp;</td></tr>
    
    <tr align="left">
        <td colspan="2">
            <asp:Label ID="Label1" runat="server" Text="Manage Product Member Pricing" CssClass="SmithTitle"/>&nbsp;-&nbsp;
            <asp:Label ID="lblProductName" runat="server" CssClass="SmithProdText" />
        </td>
    </tr>
    
    <tr style="height:30px"><td>&nbsp;</td></tr>

    <tr align="left">
        <td class="SmithProdText">Member Role:</td>
        <td>
            <asp:DropDownList runat="server" ID="ddlMemberRole" AppendDataBoundItems="true">
                <asp:ListItem Value="0">-Select-</asp:ListItem>
            </asp:DropDownList>&nbsp;&nbsp;
            <%--<asp:RequiredFieldValidator ID="rfvddlMemberRole" runat="server" ControlToValidate="ddlMemberRole" Display="Dynamic" ErrorMessage="Required" InitialValue="0"/>--%>
        </td>
    </tr>

    <tr height="5"><td></td></tr>

    <tr align="left">
        <td class="SmithProdText">Member Price Label 1:</td>
        <td>
            <asp:TextBox runat="server" ID="txtPriceLabel1" MaxLength="50" Width="200" />&nbsp;&nbsp;
            <asp:RequiredFieldValidator ID="rfvtxtPriceLabel1" runat="server" ControlToValidate="txtPriceLabel1" Display="Dynamic" ErrorMessage="Required"/>
             
        </td>
    </tr>
    
     <tr height="5"><td></td></tr>

    <tr align="left">
        <td class="SmithProdText">Member Price 1:</td>
        <td>
            <asp:TextBox runat="server" ID="txtPrice1" Width="100" MaxLength="11" />
            <asp:RequiredFieldValidator ID="rfvPrice" runat="server" ControlToValidate="txtPrice1" Display="Dynamic" ErrorMessage="Required"/>
            &nbsp;&nbsp;
            <asp:CompareValidator ID="cvPrice1" runat="server" ErrorMessage="Enter a valid number" ControlToValidate="txtPrice1" 
                Operator="DataTypeCheck" Type="Double"/>
        </td>
    </tr>

    <tr height="5"><td></td></tr>

    <tr align="left">
        <td class="SmithProdText">Member Price Label 2:</td>
        <td>
            <asp:TextBox runat="server" ID="txtPriceLabel2" MaxLength="50" Width="200" />&nbsp;&nbsp;
            <%--<asp:RequiredFieldValidator ID="rfvtxtPriceLabel2" runat="server" ControlToValidate="txtPriceLabel2" Display="Dynamic" ErrorMessage="Required"/>--%>
             
        </td>
    </tr>
    
    <tr height="5"><td></td></tr>

    <tr align="left">
        <td class="SmithProdText">Member Price 2:</td>
        <td>
            <asp:TextBox runat="server" ID="txtPrice2" Width="100" MaxLength="11" />
            <%--<asp:RequiredFieldValidator ID="rfvPrice" runat="server" ControlToValidate="txtPrice" Display="Dynamic" ErrorMessage="Required"/>--%>
            &nbsp;&nbsp;
            <asp:CompareValidator ID="cvPrice2" runat="server" ErrorMessage="Enter a valid number" ControlToValidate="txtPrice2" 
                Operator="DataTypeCheck" Type="Double"/>
        </td>
    </tr>
    
    <tr style="height:30px"><td>&nbsp;</td></tr>

    <tr align="left">
        <td></td>
        <td><asp:Button runat="server" ID="btnAddMemberPricing" Width="160" Text="Add Member Pricing" onclick="btnAddMemberPricing_Click" /></td>  
    </tr>

    <tr style="height:20px"><td>&nbsp;</td></tr>
    
    <tr style="height:110"><td colspan="2">
        <asp:GridView ID="grdMemberPricing" runat="server" AutoGenerateColumns="false" Width="100%" CssClass="cssMain" CellPadding="4"
                OnRowCancelingEdit="grdMemberPricing_RowCancelingEdit"
                OnRowDeleting="grdMemberPricing_RowDeleting" 
                OnRowEditing="grdMemberPricing_RowEditing" 
                OnRowUpdating="grdMemberPricing_RowUpdating"  
                onrowdatabound="grdMemberPricing_RowDataBound" >
                <HeaderStyle CssClass="GridHeader" /> 
                <Columns>
                    <asp:TemplateField HeaderText="MemberPriceID"  Visible="false">
                        <ItemTemplate>
                            <asp:Label ID="lblMemberPriceID" runat="server" Text='<%#Eval("MemberPriceID") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                     <asp:TemplateField HeaderText="ProductID" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" Visible="false">
                        <ItemTemplate>
                            <asp:Label ID="lblProductID" runat="server" Text='<%#Eval("ProductID") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                     <asp:TemplateField HeaderText="Member Role" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblMemberRole" runat="server" Text='<%#Eval("RoleName") %>' />
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:DropDownList ID="ddlMemberRole" runat="server" 
                                dataSource="<%#PopulateList()%>" datatextfield="RoleName" datavaluefield="RoleID" Width="150px">
                            </asp:DropDownList>
                        </EditItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Member Price Label 1" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblPriceLabel1" runat="server" Text='<%#Eval("MemberPriceLabel1") %>'></asp:Label>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:TextBox ID="txtPriceLabel1" runat="server" Text='<%#Eval("MemberPriceLabel1") %>'></asp:TextBox>
                        </EditItemTemplate>
                    </asp:TemplateField>
                    
                     <asp:TemplateField HeaderText="Member Price 1" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblPrice1" runat="server" Text='<%#Eval("MemberPrice1","{0:n}") %>' />
                        </ItemTemplate>  
                        <EditItemTemplate>
                            <asp:TextBox ID="txtPrice1" runat="server" Text='<%#Eval("MemberPrice1","{0:n}") %>'></asp:TextBox>
                        </EditItemTemplate>                  
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Member Price Label 2" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblPriceLabel2" runat="server" Text='<%#Eval("MemberPriceLabel2") %>'></asp:Label>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:TextBox ID="txtPriceLabel2" runat="server" Text='<%#Eval("MemberPriceLabel2") %>'></asp:TextBox>
                        </EditItemTemplate>
                    </asp:TemplateField>
                    
                     <asp:TemplateField HeaderText="Member Price 2" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblPrice2" runat="server" Text='<%#Eval("MemberPrice2","{0:n}") %>' />
                        </ItemTemplate>  
                        <EditItemTemplate>
                            <asp:TextBox ID="txtPrice2" runat="server" Text='<%#Eval("MemberPrice2","{0:n}") %>'></asp:TextBox>
                        </EditItemTemplate>                  
                    </asp:TemplateField>
                    
                    <asp:CommandField ShowEditButton="True" ItemStyle-CssClass="GridCells" CausesValidation="false"/>
                    <asp:CommandField ShowDeleteButton="True" ItemStyle-CssClass="GridCells" CausesValidation="false"/>
                </Columns>
            </asp:GridView>
     </td></tr>
     
     <tr style="height:20"><td>&nbsp;</td></tr>
     
     <tr><td align="center" colspan="2"> <asp:Button ID="btnBack" runat="server" Text="Back" Width="81px" onclick="btnBack_Click" CausesValidation="false" /></td></tr>
     
</table>
