﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.BuyNow.ProductQtyDiscounts, App_Web_productqtydiscounts.ascx.54f2e0e1" %>
<%@ Register TagPrefix="uc1" TagName="ProductMenuInclude" Src="menus/productmenu.ascx" %>
<link href="module.css" rel="stylesheet" type="text/css" />
<uc1:ProductMenuInclude ID="productmenu" runat="server" />

<table><tr><td width="40"></td><td>
<table width="100%" >
    <col width="9%" />
    <col width="60%" />
    
    <tr style="height:20"><td colspan="2">&nbsp;</td></tr>
    
    <tr align="left">
        <td colspan="2">
            <asp:Label ID="Label1" runat="server" Text="Manage Product Quantity Discounts" CssClass="SmithTitle"/>&nbsp;-&nbsp;
            <asp:Label ID="lblProductName" runat="server" CssClass="SmithProdText" />
        </td>
    </tr>
    
    <tr style="height:20"><td>&nbsp;</td></tr>

    <tr align="left">
        <td class="SmithProdText" nowrap="nowrap">Quantity From:&nbsp;&nbsp;</td>
        <td>
            <asp:TextBox runat="server" ID="txtQtyFrom" MaxLength="15" Width="100" />&nbsp;&nbsp;
            <%--<asp:RequiredFieldValidator ID="rfvQtyFrom" runat="server" ControlToValidate="txtQtyFrom" Display="Dynamic" ErrorMessage="Required"/>--%>
             <asp:CompareValidator ID="cvtxtQtyFrom" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtQtyFrom" Operator="DataTypeCheck" Type="Integer"/>
        </td>
    </tr>

    <tr><td></td></tr>

    <tr align="left">
        <td class="SmithProdText">Quantity To:</td>
        <td><asp:TextBox runat="server" ID="txtQtyTo" Width="100" MaxLength="15" />&nbsp;&nbsp;
            <%--<asp:RequiredFieldValidator ID="rfvQtyTo" runat="server" ControlToValidate="txtQtyTo" Display="Dynamic" ErrorMessage="Required"/>--%>
            <asp:CompareValidator ID="cvtxtQtyTo" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtQtyTo" Operator="DataTypeCheck" Type="Integer"/>
        </td>
    </tr>

    <tr><td></td></tr>

    <tr align="left">
        <td class="SmithProdText">Product Price:</td>
        <td>
            <asp:TextBox runat="server" ID="txtPrice" Width="100" MaxLength="11" />
            <%--<asp:RequiredFieldValidator ID="rfvPrice" runat="server" ControlToValidate="txtPrice" Display="Dynamic" ErrorMessage="Required"/>--%>
            &nbsp;&nbsp;
            <asp:CompareValidator ID="cvPrice" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtPrice"  Operator="DataTypeCheck" Type="Double"/>
        </td>
    </tr>

    <tr style="height:30px"><td>&nbsp;</td></tr>

    <tr align="left">
        <td></td>
        <td><asp:Button runat="server" ID="btnAddProductDiscount" Width="160" Text="Add Quantity Discount" onclick="btnAddProductDiscount_Click" /></td>  
    </tr>

    <tr style="height:20px"><td>&nbsp;</td></tr>
    
    <tr align="left"><td colspan="2">
        <asp:GridView ID="grdQtyDiscounts" runat="server" AutoGenerateColumns="false" OnRowCancelingEdit="grdQtyDiscounts_RowCancelingEdit"
                OnRowDeleting="grdQtyDiscounts_RowDeleting" OnRowEditing="grdQtyDiscounts_RowEditing" OnRowUpdating="grdQtyDiscounts_RowUpdating" Width="652px" 
                CssClass="cssMain" CellPadding="4" >
                <HeaderStyle CssClass="GridHeader" /> 
                <Columns>
                    <asp:TemplateField HeaderText="QtyDiscountID"  Visible="false">
                        <ItemTemplate>
                            <asp:Label ID="lblQtyDiscountID" runat="server" Text='<%#Eval("QtyDiscountID") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                     <asp:TemplateField HeaderText="ProductID" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblProductID" runat="server" Text='<%#Eval("ProductID") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Quantity From" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblQtyFrom" runat="server" Text='<%#Eval("QtyFrom") %>'></asp:Label>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:TextBox ID="txtQtyFrom" runat="server" Text='<%#Eval("QtyFrom") %>'></asp:TextBox>
                        </EditItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Quantity To" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblQtyTo" runat="server" Text='<%#Eval("QtyTo") %>'></asp:Label>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:TextBox ID="txtQtyTo" runat="server" Text='<%#Eval("QtyTo") %>'></asp:TextBox>
                        </EditItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Product Price" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblPrice" runat="server" Text='<%#Eval("Price","{0:n}") %>' />
                        </ItemTemplate>  
                        <EditItemTemplate>
                            <asp:TextBox ID="txtPrice" runat="server" Text='<%#Eval("Price","{0:n}") %>'></asp:TextBox>
                        </EditItemTemplate>                  
                    </asp:TemplateField>
             
                    <asp:CommandField ShowEditButton="True" ItemStyle-CssClass="GridCells"/>
                    <asp:CommandField ShowDeleteButton="True" ItemStyle-CssClass="GridCells"/>
                </Columns>
            </asp:GridView>
     </td></tr>
     
     <tr style="height:20"><td colspan="2">&nbsp;</td></tr>
     
     <tr><td align="center" colspan="2"> <asp:Button ID="btnBack" runat="server" Text="Back" Width="81px" onclick="btnBack_Click" /></td></tr>
     
</table>


</td></tr></table>