<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>

<div class="scProduct scSingleColumn">
  <table class="scProduct">
    <tr runat="server" id="trCatDescInline" visible="false">
        <td colspan="4"><asp:Label runat="server" ID="lblCatDescInline" /></td>
    </tr>

    <tr>

        <td class="scImage" runat="server" id="tdThumb">
            <asp:LinkButton ID="ibEditProduct" runat="server" CommandName="ibEditProduct" Visible="false">
                <asp:image id="imgEdit" runat="server" ImageUrl="~/DesktopModules/Smith.BuyNow/Images/pencil.png" />
            </asp:LinkButton>
            <a runat="server" id="lnkImage" href='#'><img id="img" runat="server" alt='' src="" /></a>
        </td>

        <td class="scDescription">
            <table>
                <tr runat="server" id="trSku" visible="false">
                    <td class="scDescription">
                        <asp:Label runat="server" ID="lblProductSKULabel" resourcekey="lblSkuLabel" />&nbsp;&nbsp;
                        <asp:Label runat="server" ID="lblProductSKU" Text='<% #Eval("ModelNumber") %>' /> 
                    </td>
                </tr>
                <tr>
                    <td class="scDescription">
                        <asp:HyperLink ID="hylink" Text='<% #Eval("ModelName") %>' runat="server" CssClass="SmithProdText" NavigateUrl='' /> 
                    </td>
                </tr>
                <tr runat="server" id="trSummary" visible="false">
                    <td class="scDescription">
                        <asp:Label runat="server" ID="lblSummary" Text='<% #Eval("Summary") %>' CssClass="SmithProdText"/>
                    </td>
                </tr>
            </table>
        </td>

        <td class="scDetails">
            <table runat="server" id="tbl">
                <tr runat="server" id="trRating" visible="false">
                    <td colspan="2">
                        <cc1:Rating ID="Gauge1" runat="server" MaxRating="5" CssClass="ratingStar" StarCssClass="ratingItem" WaitingStarCssClass="Empty" FilledStarCssClass="Filled" EmptyStarCssClass="Empty" ReadOnly="true"  /> 
                    </td>
                </tr>
                <tr runat="server" id="trPrice">
                    <td><asp:Label runat="server"  ID="lblPriceLabel" resourcekey="lblPriceLabel" CssClass="SmithProdText" />&nbsp;&nbsp;</td>
                    <td>
                        <asp:Label runat="server" ID="lblPrice" CssClass="SmithProdText"/><br />
                        <asp:Label ID="lblEUVATIncPrice" runat="server" Text="" CssClass="SmithProdText" Visible="false"/>
                        <asp:TextBox runat="server" ID="txtPrice" Width="50px" MaxLength="8" Visible="false" /> 
                    </td>
                </tr> 
                        
                <tr runat="server" id="trSalePrice" visible="false">
                    <td><asp:Label runat="server" ID="lblSalePriceLabel" resourcekey="lblSalePriceLabelShort" CssClass="SmithProdText"/></td>
                    <td><asp:Label runat="server" ID="lblSalePrice" CssClass="SmithRedMsg" /></td>
                </tr>
                            
                <tr runat="server" id="trMemberPrice" visible="false">
                    <td><asp:Label runat="server" ID="lblMemberPriceLabel" resourcekey="lblMemberPriceLabel" CssClass="SmithProdText"/></td>
                    <td><asp:Label runat="server" ID="lblMemberPrice" CssClass="SmithProdText"/></td>
                </tr>
                              
                <tr runat="server" id="trStockMessage" visible="false">
                    <td nowrap="nowrap" colspan="2">
                        <asp:Label ID="lblSoldOut" runat="server"/>
                        <div runat="server" id="dvStockOut" class="outofstock" visible="false"><img src="images/SoldOut.png" width="415" height="150" alt="Sold Out Message"  /></div>
                    </td>
                </tr>
                <tr id="trQuantity" runat="server">
                    <td><asp:Label runat="server" ID="lblQty" resourcekey="lblQty" CssClass="SmithProdText"/></td>
                    <td><asp:TextBox ID="txtQuantity" Width="50px" MaxLength="5" CssClass="SmithProdText" runat="server" Text="1" /></td>
                </tr>  
                <tr runat="server" id="trCoupon" visible="false" >
                    <td nowrap="nowrap" colspan="2">
                        <asp:Label runat="server" ID="lblCouponLabel" CssClass="SmithProdText"/>
                        <asp:TextBox ID="txtCouponCode" Width="75px" CssClass="SmithProdText" runat="server" />
                    </td>
                </tr>         
            </table>                                
        </td>

        <td class="scButton">
            <div id="ibAddToCartContainer" runat="server" visible="true">
                <div class="b_left scButton"></div><!-- no white space
                --><div class="b_center scButton"><asp:LinkButton ID="ibAddToCart" runat="server" CommandName="ibAddToCart" Text="ADD TO CART" CssClass="b_link" resourcekey="ibAddToCart.Text" Font-Size="12px"/></div><!--
                --><div class="b_right scButton"></div>
            </div>

            <div id="ibViewDetailContainer" runat="server" visible="false">
                <div class="b_left scButton"></div><!-- no white space
                --><div class="b_center scButton"><asp:LinkButton ID="ibViewDetails" runat="server" CommandName="ibViewDetails" Text="VIEW DETAILS" CssClass="b_link" resourcekey="ibViewDetails.Text" Font-Size="12px"/></div><!--
                --><div class="b_right scButton"></div>
            </div>

            <div id="btnAddToRegistryContainer" runat="server" visible="false">
                <div class="b_left scButton"></div><!-- no white space
                --><div class="b_center scButton"><asp:LinkButton ID="btnAddToRegistry" runat="server" CommandName="btnAddToRegistry" Text="ADD TO REGISTRY" CssClass="b_link" resourcekey="btnAddToRegistry.Text" Font-Size="12px"/></div><!--
                --><div class="b_right scButton"></div>
            </div>

            <div id="btnRemoveItemContainer" runat="server" visible="false">
                <div class="b_left scButton"></div><!-- no white space
                --><div class="b_center scButton"><asp:LinkButton ID="btnRemoveItem" runat="server" CommandName="btnRemoveItem" Text="REMOVE ITEM" CssClass="b_link" resourcekey="btnRemoveItem.Text" Font-Size="12px"/></div><!--
                --><div class="b_right scButton"></div>
            </div>

            <div id="btnAddToWishlistContainer" runat="server" visible="false">
                <div class="wishlist_left scButton"></div><!-- no white space
                --><div class="wishlist_center scButton"><asp:LinkButton ID="btnAddToWishlist" runat="server" CommandName="btnAddToWishlist" Text="ADD TO WISHLIST" CssClass="wishlist_link" resourcekey="btnAddToWishlist.Text" Font-Size="12px"/></div><!--
                --><div class="wishlist_right scButton"></div>
            </div>

            <div id="ibSelectContainer" runat="server" visible="false">
                <div class="b_left scButton"></div><!-- no white space
                --><div class="b_center scButton"><asp:LinkButton ID="ibSelect" runat="server" CommandName="ibSelect" Text="SELECT" CssClass="b_link" resourcekey="ibSelect.Text" Font-Size="12px"/></div><!--
                --><div class="b_right scButton"></div>
            </div>
        </td>
    </tr>
    <tr>
        <td colspan="4">
            <asp:HiddenField ID="hndProductID" Value='<% #Eval("ProductID") %>' runat="server" Visible="false" />
            <asp:HiddenField ID="hndSEOURL" Value='<% #Eval("SEOURL") %>' runat="server" Visible="false" />
        </td>
    </tr>
  </table>
</div>
<br />
